alias rpg.dir !return $scriptdir
alias rpg.clan !return $readini($rpg.dir $+ rpg.ini,$mta.name($1,$2),clan)
alias rpg.clanname !return $readini($rpg.dir $+ rpg.ini,$mta.name($1,$2),clanname)
alias rpg.isclan {
  if ($readini($rpg.dir $+ rpg.ini,$mta.name($1,$2),clan)) !return $true
}
alias rpg.clanleader !return $iif($readini($rpg.dir $+ clan.ini,$rpg.clan($1,$2),leader),$readini($rpg.dir $+ clan.ini,$rpg.clan($1,$2),leader),Unknown)
alias rpg.cash !return $iif($readini($rpg.dir $+ rpg.ini,$mta.name($1,$2),cash),$readini($rpg.dir $+ rpg.ini,$mta.name($1,$2),cash),0)
alias rpg.bank !return $iif($rpg.isclan($1,$2) == $true,$iif($readini($rpg.dir $+ clan.ini,$rpg.clan($1,$2),bank),$readini($rpg.dir $+ clan.ini,$rpg.clan($1,$2),bank),0),$iif($readini($rpg.dir $+ rpg.ini,$mta.name($1,$2),bank),$readini($rpg.dir $+ rpg.ini,$mta.name($1,$2),bank),0))
alias rpg.bankcode {
  if ($readini($rpg.dir $+ rpg.ini,$mta.name($1,$2),bankcode) == 1) !return $true
}
alias rpg.isprop {
  if ($findtok($readini($rpg.dir $+ rpg.data.ini,data,districts),$rpg.area($1,$2),1,44) == $null && $findtok($readini($rpg.dir $+ rpg.data.ini,data,cities),$rpg.area($1,$2),1,44) == $null && !$findtok($readini($rpg.dir $+ rpg.data.ini,data,places),$rpg.area($1,$2),1,44) == $null && $rpg.area($1,$2) != Unknown) { !return $true }
}
alias rpg.isdistrict {
  if ($findtok($readini($rpg.dir $+ rpg.data.ini,data,districts),$rpg.area($1,$2),1,44) != $null) !return $true
}
alias rpg.iscity {
  if ($findtok($readini($rpg.dir $+ rpg.data.ini,data,cities),$rpg.area($1,$2),1,44) != $null) !return $true
}
alias rpg.isplace {
  if ($findtok($readini($rpg.dir $+ rpg.data.ini,data,places),$rpg.area($1,$2),1,44) != $null) !return $true
}
alias rpg.owner !return $iif($readini($rpg.dir $+ rpg.data.ini,owner,$rpg.area($1,$2)),$readini($rpg.dir $+ rpg.data.ini,owner,$rpg.area($1,$2)),No-one)
alias rpg.propcash !return $iif($readini($rpg.dir $+ rpg.data.ini,propcash,$rpg.area($1,$2)),$readini($rpg.dir $+ rpg.data.ini,propcash,$rpg.area($1,$2)),0)
alias rpg.items !return $iif($readini($rpg.dir $+ rpg.ini,$mta.name($1,$2),items),$readini($rpg.dir $+ rpg.ini,$mta.name($1,$2),items),None)
alias rpg.propitems !return $iif($readini($rpg.dir $+ rpg.data.ini,propitems,$rpg.area($1,$2)),$readini($rpg.dir $+ rpg.data.ini,propitems,$rpg.area($1,$2)),None)
alias rpg.cpropitems !return $iif($readini($rpg.dir $+ rpg.data.ini,cpropitems,$rpg.area($1,$2)),$readini($rpg.dir $+ rpg.data.ini,cpropitems,$rpg.area($1,$2)),0)
alias rpg.property !return $iif($readini($rpg.dir $+ rpg.ini,$mta.name($1,$2),property),$readini($rpg.dir $+ rpg.ini,$mta.name($1,$2),property),0)
alias rpg.kothstat !return $iif($readini($rpg.dir $+ koth.ini,$1,status),$readini($rpg.dir $+ koth.ini,$1,status),off)
alias rpg.kothhouse !return $iif($readini($rpg.dir $+ koth.ini,$1,house),$readini($rpg.dir $+ koth.ini,$1,house),Unknown)
alias rpg.kothowner !return $iif($readini($rpg.dir $+ koth.ini,$1,owner),$readini($rpg.dir $+ koth.ini,$1,owner),No-one)
alias rpg.tkothowner !return $iif($readini($rpg.dir $+ clan.ini,$rpg.kothowner($1),clan),clan,norm)
alias rpg.kothown !return $iif($readini($rpg.dir $+ koth.ini,$1,ownstart),$calc($ctime - $readini($rpg.dir $+ koth.ini,$1,ownstart)),0)
alias rpg.kothowndur !return $iif($readini($rpg.dir $+ koth.ini,$1,ownstart),$duration($calc($ctime - $readini($rpg.dir $+ koth.ini,$1,ownstart))),$duration(0))
alias rpg.owntime !return $iif($readini($rpg.dir $+ rpg.ini,$mta.name($1,$2),owntime),$readini($rpg.dir $+ rpg.ini,$mta.name($1,$2),owntime),0)
alias rpg.clanowntime !return $iif($readini($rpg.dir $+ clan.ini,$rpg.clan($1,$2),owntime),$readini($rpg.dir $+ clan.ini,$rpg.clan($1,$2),owntime),0)
alias rpg.kothkills !return $iif($readini($rpg.dir $+ rpg.ini,$mta.name($1,$2),kothkills),$readini($rpg.dir $+ rpg.ini,$mta.name($1,$2),kothkills),0)
alias rpg.ckothkills !return $iif($readini($rpg.dir $+ koth.ini,$1,kills),$readini($rpg.dir $+ koth.ini,$1,kills),0)
alias rpg.clankothkills !return $iif($readini($rpg.dir $+ clan.ini,$rpg.clan($1,$2),kothkills),$readini($rpg.dir $+ clan.ini,$rpg.clan($1,$2),kothkills),0)
alias rpg.bounty !return $iif($readini($rpg.dir $+ rpg.ini,$mta.name($1,$2),bounty),$readini($rpg.dir $+ rpg.ini,$mta.name($1,$2),bounty),0)
alias rpg.carowner !return $iif($readini($rpg.dir $+ rpg.data.ini,carowner,$mta.vehicle($1,$2)),$readini($rpg.dir $+ rpg.data.ini,carowner,$mta.vehicle($1,$2)),No-one)
alias rpg.carprice !return $calc($rand(800,1000) * $rpg.cargrade($1,$2))
alias rpg.petrol !return $iif($readini($rpg.dir $+ rpg.data.ini,petrol,$mta.vehicle($1,$2)),$readini($rpg.dir $+ rpg.data.ini,petrol,$mta.vehicle($1,$2)),$iif($readini($rpg.dir $+ rpg.data.ini,petrol,$2),$readini($rpg.dir $+ rpg.data.ini,petrol,$2),100))
alias rpg.caralarm !return $iif($readini($rpg.dir $+ rpg.data.ini,caralarm,$mta.vehicle($1,$2)),$readini($rpg.dir $+ rpg.data.ini,caralarm,$mta.vehicle($1,$2)),Not-fitted)
alias rpg.entertime !return $iif($readini($rpg.dir $+ rpg.data.ini,entertime,$2),$readini($rpg.dir $+ rpg.data.ini,entertime,$2),0)
alias rpg.price !return $iif($readini($rpg.dir $+ rpg.data.ini,price,$rpg.area($1,$2)),$readini($rpg.dir $+ rpg.data.ini,price,$rpg.area($1,$2)),0)
alias rpg.forsale {
  if ($readini($rpg.dir $+ rpg.data.ini,forsale,$rpg.area($1,$2))) !return $true
}
alias rpg.saleprice !return $iif($readini($rpg.dir $+ rpg.data.ini,forsale,$rpg.area($1,$2)),$readini($rpg.dir $+ rpg.data.ini,forsale,$rpg.area($1,$2)),0)
alias rpg.sold {
  if ($readini($rpg.dir $+ rpg.data.ini,sold,$mta.vehicle($1,$2))) !return $true
}
alias rpg.offers !return $iif($readini($rpg.dir $+ rpg.data.ini,offers,$rpg.area($1,$2)),$readini($rpg.dir $+ rpg.data.ini,offers,$rpg.area($1,$2)),0)
alias rpg.topoffer !return $iif($readini($rpg.dir $+ rpg.data.ini,topoffer,$rpg.area($1,$2)),$readini($rpg.dir $+ rpg.data.ini,topoffer,$rpg.area($1,$2)),0)
alias rpg.topofferer !return $iif($readini($rpg.dir $+ rpg.data.ini,topofferer,$rpg.area($1,$2)),$readini($rpg.dir $+ rpg.data.ini,topofferer,$rpg.area($1,$2)),No-one)
alias rpg.cargrade !return $iif($did(mta,$mta.active $+ 33) == GTA:VC,$iif($findtok(1.2.9.14.15.16.17.18.23.32.34.36.38.40.41.44.47.56.58.59.60.61.63.66.70.77.78.79,$mta.vehicle($1,$2),1,46) != $null,1,$iif($findtok(4.7.8.20.25.26.28.35.39.43.45.46.48.49.50.51.52.53.54.64.65.67.68.69.72.74.76.80,$mta.vehicle($1,$2),1,46) != $null,2,$iif($findtok(3.5.6.10.11.12.13.19.21.22.24.27.29.30.31.33.37.42.55.57.62.71.73.75,$mta.vehicle($1,$2),1,46) != $null,3,1))))
alias rpg.carforsale {
  if ($readini($rpg.dir $+ rpg.data.ini,carforsale,$mta.vehicle($1,$2))) !return $true
}
alias rpg.carsaleprice !return $iif($readini($rpg.dir $+ rpg.data.ini,carsaleprice,$mta.vehicle($1,$2)),$readini($rpg.dir $+ rpg.data.ini,carsaleprice,$mta.vehicle($1,$2)),0)
alias rpg.caritems !return $iif($readini($rpg.dir $+ rpg.data.ini,caritems,$mta.vehicle($1,$2)),$readini($rpg.dir $+ rpg.data.ini,caritems,$mta.vehicle($1,$2)),None)
alias rpg.cars !return $iif($readini($rpg.dir $+ rpg.ini,$mta.name($1,$2),cars),$readini($rpg.dir $+ rpg.ini,$mta.name($1,$2),cars),0)
alias rpg.riggedcar { 
  if ($readini($rpg.dir $+ rpg.data.ini,rigged,$mta.vehicle($1,$2))) !return true
}
on *:LOAD:{ !.signal mta.connect $mta.active }
on *:UNLOAD:{ 
  !.timersold off
  !.timerkothcheck off
  !.timerpetrolcheck off
}
on *:SIGNAL:mta.quit:{
  !.timersold off
  !.timerkothcheck off
  !.timerpetrolcheck off
}
on *:SIGNAL:mta.connect:{
  if ($rpg.kothstat($1) == on) { !writeini -n " $+ $rpg.dir $+  koth.ini" $1 status off | !remini -n " $+ $rpg.dir $+ koth.ini" $1 owner }
  rpg.writedata
  !.timersold 0 2400 !remini -n " $+ $rpg.dir $+ rpg.data.ini" sold
  !.timerkothcheck 0 90 rpg.kothcheck $1
  !.timerpetrolcheck 0 20 rpg.petrolcheck $1
  rpg.menu
  mta.say $1 Clan-RPG (by Jax n Oli) Loaded! (!rpghelp)
}
on *:SIGNAL:mta.join:{
  if ($rpg.isclan($1,$2) == $true) mta.say $1 RPG > $rpg.clan($1,$2) Member Joined
  !remini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) bankcode
  !remini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash
}
on *:SIGNAL:mta.command:{
  var %a = $iif($4 == $null,$2,$iif($mta.name($1,$4) != Unknown,$4,$mta.getid($1,$4)))
  ;ADMIN
  if ($readini($rpg.dir $+ rpg.data.ini,data,admin)) {
    if $readini($rpg.dir $+ rpg.data.ini,data,admin) isin $mta.name($1,$2) {
      if $3 == !koth { 
        if $4 {
          if $4 == on {
            if $5 { rpg.koth $1 on $5 }
            else rpg.koth $1 on
          }
          elseif $4 == off rpg.koth $1 off
          else mta.say $1 !koth $+(',$4,') $+ : invalid command
        }
        else rpg.koth $1 check
      }
      elseif ($3 == !clear) { 
        !unset %area 
        mta.say $1 Points cleared!
      }
      elseif ($3 == !point) {
        if ($rpg.isprop($1,$2) != $true) {
          %area = %area $+ $chr(44) $+ $mta.location($1,$2,x) $+ $chr(44) $+ $mta.location($1,$2,y)
          mta.say $1 $calc($count(%area,$chr(44)) /2) point/s set 
        }
        else mta.say $1 You cannot overlap properties
      }
      elseif ($3 == !save) {
        if ($4) { 
          if ($mta.game($1) == GTA:VC) {
            !writeini -n " $+ $rpg.dir $+ rpg.data2.ini" AREA $right(%area,-1) $4
            !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price $4 100000
            !unset %area 
            mta.say $1 Property saved as " $+ $4-" - Default-price: $chr(36) $+ 100000
          }
          else {
            !writeini -n " $+ $rpg.dir $+ rpg.data2.ini" AREA1 $right(%area,-1) $4
            !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price $4 100000
            !unset %area 
            mta.say $1 (GTA3)Property saved as " $+ $4-" - Default-price: $chr(36) $+ 100000
          }
        }
        else mta.say $1 Error: !save <Property Name>
      }
      elseif ($3 == !sprice) {
        if ($4 isnum && $4 > 0) {
          if ($rpg.area($1,$2) != Unknown) {          
            if ($rpg.price($1,$2) == 0) { !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price $rpg.area($1,$2) $4 | mta.say $1 Set $rpg.area($1,$2) $+ 's price to $chr(36) $+ $4 }
            else { mta.say $1 Changed $rpg.area($1,$2) $+ 's price from $chr(36) $+ $rpg.price($1,$2) to $chr(36) $+ $4 | !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price $rpg.area($1,$2) $4 }
          }
          else mta.say $1 Cannot set price of an 'Unknown' property
        }
        else mta.say $1 Error: !sprice <price>
      }
    }    
  }
  ;GENERAL
  if $3 == !info mta.say $1 Info: Clan-RPG (by Jax n Oli) Loaded
  elseif $3 == !car mta.say $1 $mta.name($1,$2) > Vehicle: $mta.vehicle($1,$2).name
  elseif $3 == !switchname rpg.switchname $1-
  elseif $3 == !rstat mta.say $1 $mta.name($1,%a) > Cash: $chr(36) $+ $rpg.cash($1,%a) - Bank: $chr(36) $+ $rpg.bank($1,%a) - Property: $rpg.property($1,%a) - Items: $rpg.items($1,%a)
  elseif !kothstat* iswm $3 mta.say $1 KOTH > $mta.name($1,%a) > Kills: $rpg.kothkills($1,%a) - Own-time: $duration($rpg.owntime($1,%a))
  elseif !item* iswm $3 mta.say $1 $mta.name($1,%a) > Items: $rpg.items($1,%a)
  elseif $3 == !bounty mta.say $1 $mta.name($1,%a) > Bounty: $chr(36) $+ $rpg.bounty($1,%a)
  elseif $3 == !cash mta.say $1 $mta.name($1,%a) > Cash: $chr(36) $+ $rpg.cash($1,%a)
  elseif $3 == !bank {
    if $rpg.isclan($1,%a) == $true mta.say $1 $mta.name($1,%a) - $rpg.clan($1,%a) > Bank: $chr(36) $+ $rpg.bank($1,%a)
    else mta.say $1 $mta.name($1,%a) > Bank: $chr(36) $+ $rpg.bank($1,%a)
  }
  ;CASH/ITEMS
  elseif $3 == !bank+ rpg.bank+ $1-
  elseif $3 == !bank- rpg.bank- $1-
  elseif $3 == !give rpg.give $1-
  elseif $3 == !stash rpg.stash $1-
  elseif $3 == !stashed rpg.stashed $1-
  elseif $3 == !buy rpg.buy $1-
  elseif $3 == !sell rpg.sell $1-
  elseif $3 == !rob rpg.rob $1-
  elseif $3 == !take rpg.take $1-
  elseif $3 == !drop rpg.drop $1-
  elseif $3 == !buycar rpg.buycar $1-
  elseif $3 == !sellcar rpg.sellcar $1-
  elseif $3 == !remsellcar rpg.remsellcar $1-
  elseif $3 == !rig rpg.rig $1-
  ;PROPERTY
  elseif $3 == !place || $3 == !property { rpg.place $1 %a } 
  elseif $3 == !buyplace || $3 == !buyproperty { rpg.buyplace $1- }
  elseif $3 == !sellplace || $3 == !sellproperty { rpg.sellplace $1- }
  elseif $3 == !remsell rpg.remsell $1-
  elseif $3 == !offer rpg.offer $1-
  elseif $3 == !remoffer rpg.remoffer $1-
  elseif $3 == !accept rpg.accept $1-
  elseif $3 == !offers rpg.offersget $1-
  elseif $3 == !fine rpg.fine $1-
  :CLAN
  elseif $3 == !join rpg.join $1-
  elseif $3 == !leave rpg.leave $1- 
  elseif $3 == !clan {
    if $rpg.isclan($1,%a) == $true mta.say $1 $mta.name($1,%a) > Clan: $rpg.clan($1,$2) $iif($rpg.clanname($1,%a) != $null, - $rpg.clanname($1,%a),)
    else mta.say $1 $mta.name($1,%a) > Clan: None
  }  
  elseif $3 == !clanname {
    if $rpg.isclan($1,$2) == $true {
      if $rpg.clanleader($1,$2) == $mta.name($1,$2) {
        if $4 {
          !writeini -n " $+ $rpg.dir $+ clan.ini" $rpg.clan($1,$2) name $4-
          mta.say $1 $rpg.clan($1,$2) has been renamed to $4-
        }
        else mta.msg $1 $2 Error: !clanname <new-name>
      }
      else mta.msg $1 $2 You are not the clan-leader ( $+ $rpg.clanleader($1,$2) $+ )
    }
    else mta.msg $1 $2 You're clan isn't registered
  }
  elseif $3 == !clans mta.say $1 Online Clans: $rpg.clanscan($1)
  ;OTHER
  elseif $3 == !wanted rpg.wanted $1-
  elseif $3 == !register rpg.register $1-
  elseif $3 == !rpghelp mta.msg $1 $2 Type '/msg rpghelp <subject>' for more info...
}
on *:SIGNAL:mta.pm:{
  if $3 == pin rpg.pincode $1-
  elseif $3 == regpin rpg.regpincode $1-
  elseif $3 == rpghelp {
    if $4 == commands { mta.msg $1 $2 Commands: !info,!switchname,!clans,!bank+,!bank-,!give,!stash.. | !.timer 1 2 mta.msg $1 $2 !buy,!sell,!rob,!take,!drop,!buycar,!sellcar... | !.timer 1 4 mta.msg $1 $2 ..!remsellcar,!rig,!place,!buyplace,!sellplace,!remsell,!offer... | !.timer 1 6 mta.msg $1 $2  ...!remoffer,!accept,!offers,!fine,!join,!leave,!register }
    elseif $4 == script mta.msg $1 $2 Script: ClanRPG By Jax n Oli - Version: 0.3
  }
}
on *:SIGNAL:mta.kill:{
  if $rpg.area($1,$2) == $rpg.kothhouse($1) || $rpg.area($1,$3) == $rpg.kothhouse($1) || $mta.name($1,$3) == $rpg.kothowner($1) || $mta.name($1,$2) == $rpg.kothowner($1) { rpg.kothkill $1- }
  elseif $rpg.isprop($1,$2) == $true || $rpg.isprop($1,$3) == $true { rpg.propkill $1- }
  else rpg.kill $1-
  !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash 0
  !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) bounty 0
}
on *:SIGNAL:mta.enter:{
  !writeini -n " $+ $rpg.dir $+ rpg.data.ini" petrol $mta.vehicle($1,$2) $rpg.petrol($1,$2)
  if $rpg.sold($1,$2) == $true {
    mta.msg $1 $2 This vehicle belongs to Sunshine-Autos (Bounty risen by: $chr(36) $+ 1000)
    !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) bounty $calc($rpg.bounty($1,$2) + 1000)
  }
  elseif $rpg.carowner($1,$2) != No-one {
    if $rpg.carowner($1,$2) == $mta.name($1,$2) {
      :start
      if $rpg.petrol($1,$2) > 0 {
        !writeini -n " $+ $rpg.dir $+ rpg.data.ini" entertime $mta.vehicle($1,$2) $ctime
        if $rpg.petrol($1,$2) > 10 { mta.msg $1 $2 Vehicle: $mta.vehicle($1,$2).name - Petrol: $rpg.petrol($1,$2) - Alarm: $rpg.caralarm($1,$2) }
        else mta.msg $1 $2 Vehicle: $mta.vehicle($1,$2).name - Petrol: $rpg.petrol($1,$2) $+ (Low) - Alarm: $rpg.caralarm($1,$2)
      }
      elseif $rpg.items($1,$2) == Petrol-can && $readini($rpg.dir $+ rpg.ini,$mta.name($1,$2),petrolcan) > 0 {
        !writeini -n " $+ $rpg.dir $+ rpg.data.ini" petrol $mta.vehicle($1,$2) $readini($rpg.dir $+ rpg.ini,$mta.name($1,$2),petrolcan)
        mta.msg $1 $2 Emptied petrol-can into vehicle - Petrol: $rpg.petrol($1,$2)
        !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) petrolcan 0
        goto start 
      }
      else {
        mta.msg $1 $2 WARNING! No petrol - exit vehicle NOW!
        $+(!.timerkill,.,$1,.,$2) 1 5 rpg.petrolkill $1-
      }
    }
    elseif $rpg.items($1,$2) == Pinkslip-( $+ $mta.vehicle($1,$2) $+ ) {
      !writeini -n " $+ $rpg.dir $+ rpg.data.ini" carowner $mta.vehicle($1,$2) $mta.name($1,$2)
      !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cars $calc($rpg.cars($1,$2) + 1)
      mta.msg $1 $2 Stolen > Vehicle: $mta.vehicle($1,$2).name - by: Pinkslip stealin'
      goto start
    }
    elseif $rpg.caralarm($1,$2) == on {
      if $rpg.items($1,$2) == Hotwire {
        !remini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) items
        mta.msg $1 $2 Hotwired $mta.vehicle($1,$2).name
      }
      else {
        mta.msg $1 $2 WARNING! Alarm - exit vehicle NOW!
        $+(!.timerkill,.,$1,.,$2) 1 5 rpg.alarmkill $1-
      }
    }
    else {
      mta.msg $1 $2 Stolen: $mta.vehicle($1,$2).name - from: $rpg.carowner($1,$2)
      !writeini -n " $+ $rpg.dir $+ rpg.data.ini" carowner $mta.vehicle($1,$2) $mta.name($1,$2)
      !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cars $calc($rpg.cars($1,$2) + 1)
    }
  }
  else mta.msg $1 $2 Vehicle: $mta.vehicle($1,$2).name - price: $chr(36) $+ $rpg.carprice($1,$2)
}       
on *:SIGNAL:mta.exit:{
  $+(!.timerkill,.,$1,.,$2) off
  if $calc($rpg.petrol($1,$3) - $calc($calc($ctime - $rpg.entertime($1,$3)) / 10)) < 0 { !writeini -n " $+ $rpg.dir $+ rpg.data.ini" petrol $3 0 }
  else !writeini -n " $+ $rpg.dir $+ rpg.data.ini" petrol $3 $calc($rpg.petrol($1,$3) - $calc($calc($ctime - $rpg.entertime($1,$3)) / 10))
}
alias rpg.clanscan {
  var %a = 0,%b,%b,%d
  while %a < $mta.maxplayers($1) {
    if $rpg.isclan($1,%a) == $true {
      var %b = 0,%c = 1
      while %b < $mta.maxplayers($1) {
        if $rpg.isclan($1,%b) == $true && $mta.name($1,%b) != $mta.name($1,%a) && $rpg.clan($1,%a) == $rpg.clan($1,%b) {
          !inc %c
        }
        !inc %b
      }
      if %d { %d = %d $+ , $rpg.clan($1,%a) $+ ( $+ %c $+ ) }
      else %d = $rpg.clan($1,%a) $+ ( $+ %c $+ )
    }
    !inc %a
  }
  if %d { !return %d }
  else !return None
} 
alias rpg.register {
  if $rpg.isclan($1,$2) != $true {
    if $4 != $null {
      if $4 isin $mta.name($1,$2) {
        if $readini($rpg.dir $+ clan.ini,$4,reg) == $null {
          !writeini -n " $+ $rpg.dir $+ clan.ini" $4 reg 1
          !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) clan $4
          !writeini -n " $+ $rpg.dir $+ clan.ini" $4 leader $mta.name($1,$2)
          !writeini -n " $+ $rpg.dir $+ clan.ini" $4 bank $rpg.bank($1,$2)
          !remini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) bank
          if $5 { 
            !writeini -n " $+ $rpg.dir $+ clan.ini" $4 name $5-
            !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) clanname $5-
          }
          mta.msg $1 $2 Bank money transfered...
          mta.say $1 Clan $+(',$4,') created   
        }
        else mta.say $1 $mta.name($1,$2) > Clan-tag $+(',$4,') already in use
      }
      else mta.say $1 $mta.name($1,$2) > Clan-tag $+(',$4,') is not in your name
    }
    else mta.say $1 $mta.name($1,$2) > Syntax: !register <TAG> (<clan-name>)
  }
  else mta.say $1 $mta.name($1,$2) > Already Registered ( $+ $rpg.clan($1,$2) $+ )
}
alias rpg.bank+ {
  if $rpg.area($1,$2) == $iif($mta.game($1) == GTA:VC,Bank,Fish-Factory) { 
    if $rpg.bankcode($1,$2) == $true {
      if $rpg.cash($1,$2) > 0 {
        if $4 {
          if $4 > 0 {
            if $rpg.cash($1,$2) >= $4 {
              if $rpg.isclan($1,$2) == $true {
                !writeini -n " $+ $rpg.dir $+ clan.ini" $rpg.clan($1,$2) bank $calc($rpg.bank($$1,$2) + $4)
              }
              else {
                !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) bank $calc($rpg.bank($1,$2) + $4)
              }
              !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash $calc($rpg.cash($1,$2) - $4)
              mta.msg $1 $2 Banked: $chr(36) $+ $4
            }
            goto all
          }
          else mta.msg $1 $2 Cannot bank negative ammount
        }
        else {
          :all
          mta.msg $1 $2 Banked $chr(36) $+ $rpg.cash($1,$2)
          if $rpg.isclan($1,$2) == $true {
            !writeini -n " $+ $rpg.dir $+ clan.ini" $rpg.clan($1,$2) bank $calc($rpg.bank($1,$2) + $rpg.cash($1,$2))
          }
          else {
            !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) bank $calc($rpg.bank($1,$2) + $rpg.cash($1,$2))
          }
          !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash 0
        }
      }
      else mta.msg $1 $2 You have no cash
    }
    else mta.msg $1 $2 Enter Pin code...(/msg pin <code>)
  }
  else mta.msg $1 $2 You are not at $iif($mta.game($1) == GTA:VC,Bank,Fish-Factory)
}
alias rpg.bank- {
  if $rpg.area($1,$2) == $iif($mta.game($1) == GTA:VC,Bank,Fish-Factory) {
    if $rpg.bankcode($1,$2) == $true {
      if $rpg.bank($1,$2) > 0 {
        if $4 {
          if $4 > 0 {
            if $rpg.bank($1,$2) >= $4 {
              !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash $calc($rpg.cash($1,$2) + $4)
              if $rpg.isclan($1,$2) == $true {
                !writeini -n " $+ $rpg.dir $+ clan.ini" $rpg.clan($1,$2) bank $calc($rpg.bank($1,$2) - $4)
              }
              else {
                !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) bank $calc($rpg.bank($1,$2) - $4)
              }
              mta.msg $1 $2 Withdrew: $chr(36) $+ $4
            }
            goto all2
          }
          else mta.msg $1 $2 Cannot withdraw a negative ammount
        }
        else {
          :all2
          mta.msg $1 $2 Withdrew: $chr(36) $+ $rpg.bank($1,$2)
          !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash $calc($rpg.cash + $rpg.bank($1,$2))
          if $rpg.isclan($1,$2) == $true {
            !writeini -n " $+ $rpg.dir $+ clan.ini" $rpg.clan($1,$2) bank 0
          }
          else {
            !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) bank 0
          }
        }
      }
      else mta.msg $1 $2 You have no money in the bank
    }
    else mta.msg $1 $2 Enter Pin code...(/msg pin <code>)
  }
  else mta.msg $1 $2 You are not at $iif($mta.game($1) == GTA:VC,Bank,Fish-Factory)
}
alias rpg.pincode {
  if $readini($rpg.dir $+ rpg.ini,$mta.name($1,$2),pincode) == $null { mta.msg $1 $2 Register a pin-code first (/msg regpin <code>) }
  elseif $4 == $readini($rpg.dir $+ rpg.ini,$mta.name($1,$2),pincode) { !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) bankcode 1 | mta.msg $1 $2 Pincode confirmed }
  else mta.msg $1 $2 Pin-code incorrect
}
alias rpg.regpincode {
  if $4 {
    if $readini($rpg.dir $+ rpg.ini,$mta.name($1,$2),pincode) == $null {
      !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) pincode $4
      mta.msg $1 $2 Pincode $+(',$4,') saved
    }
    else mta.msg $1 $2 You already have a pincode
  }
  else mta.msg $1 $2 Syntax: /msg regpin <code>
}
alias rpg.give {
  var %a = $iif($4 == $null,$2,$iif($mta.name($1,$4) != Unknown,$4,$mta.getid($1,$4)))
  if %a != -1 && %a != $2 {
    if $5 && $5 isnum && $5 > 0 {
      mta.say $1 $mta.name($1,$2) gave $chr(36) $+ $5 to $mta.name($1,%a)
      !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,%a) cash $calc($rpg.cash($1,%a) + $5)
      !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash $calc($rpg.cash($1,$2) - $5)
    }
    else mta.say $1 Syntax: !give <name> <ammount>
  }
  else mta.msg $1 $2 Cannot give urself/invalid person money
}
alias rpg.stash {
  if $mta.vehicle($1,$2).name != foot && $mta.vehicle($1,$2).name != Unknown {
    if $rpg.carowner($1,$2) == $mta.name($1,$2) {
      if $rpg.items($1,$2) != None {
        if $rpg.caritems($1,$2) == None {
          mta.msg $1 $2 Stashed > Items: $rpg.items($1,$2) in: $mta.vehicle($1,$2).name 
          !writeini -n " $+ $rpg.dir $+ rpg.data.ini" caritems $mta.vehicle($1,$2) $rpg.items($1,$2)
          !remini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) items
        }
        else mta.msg $1 $2 Cannot stash anymore items in this vehicle
      }
      else mta.msg $1 $2 Your not carrying any items
    }
    else mta.msg $1 $2 You do not own this vehicle
  }
  elseif $rpg.isprop($1,$2) == $true {
    if $rpg.owner($1,$2) != None {
      if $rpg.owner($1,$2) == $mta.name($1,$2) {
        if $4 == cash {
          if $rpg.cash($1,$2) > 0 {
            if $5 {
              if $5 isnum && $5 > 0 {
                if $rpg.cash($1,$2) >= $5 {
                  mta.msg $1 $2 Stashed: $chr(36) $+ $5 - At: $rpg.area($1,$2)
                  !writeini -n " $+ $rpg.dir $+ rpg.data.ini" propcash $rpg.area($1,$2) $calc($rpg.propcash($1,$2) + $5)
                  !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash $calc($rpg.cash($1,$2) - $5)
                }
                else goto all2
              }
              else mta.msg $1 $2 Syntax: !stash <cash/item> (<ammount>)
            }
            else {
              :all2
              mta.msg $1 $2 Stashed: $chr(36) $+ $rpg.cash($1,$2) - At: $rpg.area($1,$2)
              !writeini -n " $+ $rpg.dir $+ rpg.data.ini" propcash $rpg.area($1,$2) $calc($rpg.propcash($1,$2) + $rpg.cash($1,$2))
              !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash 0
            }
          }
          else mta.msg $1 $2 You have no cash
        }
        elseif $4 == item || $4 == items {
          if $rpg.items($1,$2) != None {
            if $rpg.cpropitems($1,$2) < 3 {
              mta.msg $1 $2 Stashed: $rpg.items($1,$2) - At: $rpg.area($1,$2)
              if $rpg.propitems($1,$2) == None !writeini -n " $+ $rpg.dir $+ rpg.data.ini" propitems $rpg.area($1,$2) $rpg.items($1,$2)
              else !writeini -n " $+ $rpg.dir $+ rpg.data.ini" propitems $rpg.area($1,$2) $rpg.propitems($1,$2) $+ , $+ $rpg.items($1,$2)
              !writeini -n " $+ $rpg.dir $+ rpg.data.ini" cpropitems $rpg.area($1,$2) $calc($rpg.cpropitems($1,$2) + 1)
              !remini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) items
            }
            else mta.msg $1 $2 You cannot stash anymore items here
          }
          else mta.msg $1 $2 No item to stash
        }
        else mta.msg $1 $2 Syntax: !stash <cash/item> (<ammount>)
      }
      else mta.msg $1 $2 You do not own: $rpg.area($1,$2)
    }
    else mta.msg $1 $2 No one owns this property
  }
  else mta.msg $1 $2 This is not a registered property
}                
alias rpg.stashed {
  if $mta.vehicle($1,$2).name != foot && $mta.vehicle($1,$2).name != Unknown { 
    mta.msg $1 $2 Stashed in $mta.vehicle($1,$2).name $+ : $rpg.caritems($1,$2)
  }
  elseif $rpg.isprop($1,$2) == $true {
    if $rpg.owner($1,$2) == $mta.name($1,$2) {
      mta.msg $1 $2 Stashed here > Cash: $chr(36) $+ $rpg.propcash($1,$2) - Items: $rpg.propitems($1,$2) 
    }
    else mta.msg $1 $2 You do not own this property (use !rob)
  }
  else mta.msg $1 $2 You are not in a car or at a property
}
alias rpg.buy {
  if $4 {
    if $4 == Petrol {
      if $rpg.area($1,$2) == Garage-(Ocean-Beach) {
        if $rpg.items($1,$2) == Petrol-can {
          if $rpg.cash($1,$2) > 199 {
            !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash $calc($rpg.cash($1,$2) - 200)
            !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) petrolcan 100
            mta.msg $1 $2 Filled up Petrol-can
          }
          elseif $rpg.cash($1,$2) > 0 {
            !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) petrolcan $calc($rpg.cash($1,$2) / 2)
            !remini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash
            mta.msg $1 $2 Petrol-can $calc($rpg.cash($1,$2) / 2) $+ % full
          }
          else mta.msg $1 $2 You have no cash
        }
        else mta.msg $1 $2 You are not carrying a petrol-can, buy one from here
      }
      else mta.msg $1 $2 You need to be at the garage in Ocean Beach
    }            
    elseif ($readini($rpg.dir $+ rpg.data.ini,items,$4)) {
      if $rpg.area($1,$2) == $readini($rpg.dir $+ rpg.data.ini,items2,$4) {
        if $rpg.cash($1,$2) >= $readini($rpg.dir $+ rpg.data.ini,items,$4) {
          if $rpg.items($1,$2) == None {
            !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash $calc($rpg.cash($1,$2) - $readini($rpg.dir $+ rpg.data.ini,items,$4))
            !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) items $4
            mta.msg $1 $2 Bought: $4 - price: $chr(36) $+ $readini($rpg.dir $+ rpg.data.ini,items,$4)
          }
          else mta.msg $1 $2 You can only carry 1 item (use !drop)
        }
        else mta.msg $1 $2 Item: $4 - price: $chr(36) $+ $readini($rpg.dir $+ rpg.data.ini,items,$4) - Cash: $chr(36) $+ $rpg.cash($1,$2)
      }
      else mta.msg $1 $2 Item: $4 - Available at: $readini($rpg.dir $+ rpg.data.ini,buyprice,$4)
    }
    else mta.msg $1 $2 No such item as $+(',$4,') - check available items list
  }
  else mta.msg $1 $2 Available items list: Petrol,Petrol-Can,Bomb,Hotwire,Timebomb
}
alias rpg.sell {
  if $rpg.area($1,$2) == Sunshine-Autos {
    if $mta.vehicle($1,$2).name != foot && $mta.vehicle($1,$2).name != Unknown {
      if $rpg.sold($1,$2) != $true {
        if $rpg.carowner($1,$2) == $mta.name($1,$2) {
          var %a = $calc($calc($mta.health($1,$2).vehicle * $rpg.cargrade($1,$2)) * 3),%b = $iif($rpg.cargrade($1,$2) == 3,A,$iif($rpg.cargrade($1,$2) == 2,B,C))
          !remini -n " $+ $rpg.dir $+ rpg.data.ini" carowner $mta.vehicle($1,$2)
          !writeini -n " $+ $rpg.dir $+ rpg.data.ini" sold $mta.vehicle($1,$2) 1
          !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash $calc($rpg.cash($1,$2) + %a)
          mta.say $1 $mta.name($1,$2) sold: $mta.vehicle($1,$2).name - Class: %b - For: $chr(36) $+ %a
        }
        else mta.msg $1 $2 You do not own this vehicle
      }
      else mta.msg $1 $2 Vehicle: $mta.vehicle($1,$2).name belongs to Sunshine-Autos
    }
    else mta.msg $1 $2 No one wants to buy your feet
  }
  else mta.msg $1 $2 Sunshine-Autos want your vehicle - go there
}
alias rpg.switchname {
  if $4 {
    if !$readini($rpg.dir $+ rpg.ini,$4,cash) {
      var %a = 1,%b = $ini(rpg.ini,$replace($mta.name($1,$2),[,~,],~),0)
      if %b > 0 {
        while %a <= %b {
          var %c = $ini(rpg.ini,$replace($mta.name($1,$2),[,~,],~),1),%d = $readini($rpg.dir $+ rpg.ini,$mta.name($1,$2),%c)
          !writeini -n " $+ $rpg.dir $+ rpg.ini" $4 %c %d
          !remini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) %c
          !inc %a
        }
        !remini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2)
        if $rpg.property($1,$2) > 0 {
          var %a = 1,%b = $ini(rpg.data.ini,owner,0)
          while %a <= %b {
            if $readini($rpg.dir $+ rpg.data.ini,owner,$ini(rpg.data.ini,owner,%b)) == $mta.name($1,$2) {
              !writeini -n " $+ $rpg.dir $+ rpg.data.ini" owner $ini(rpg.data.ini,owner,%b) $4
            }
            !inc %a
          }
        }
        if $rpg.cars($1,$2) > 0 {
          var %a = 1,%b = $ini(rpg.data.ini,carowner,0)
          while %a <= %b {
            if $readini($rpg.dir $+ rpg.data.ini,carowner,$ini(rpg.data.ini,carowner,%b)) == $mta.name($1,$2) {
              !writeini -n " $+ $rpg.dir $+ rpg.data.ini" carowner $ini(rpg.data.ini,carowner,%b) $4
            }
            !inc %a
          }
        }
        var %a = 1,%b = $ini(rpg.data.ini,topofferer,0)
        while %a <= %b {
          if $readini($rpg.dir $+ rpg.data.ini,topofferer,$ini(rpg.data.ini,topofferer,%b)) == $mta.name($1,$2) {
            !writeini -n " $+ $rpg.dir $+ rpg.data.ini" topofferer $ini(rpg.data.ini,topofferer,%b) $4
          }
          !inc %a
        }
        mta.say $1 $mta.name($1,$2) > Profile-name switched to $+(',$4,')
      }
      else mta.say $1 $mta.name($1,$2) > No Profile for $+(',$mta.name($1,$2),') found
    }
    else mta.say $1 Name: $+(',$4,') already taken
  }
  else mta.say $1 Syntax: !switchname <new-name>
}
alias rpg.place {
  if $mta.status($1,$2) == 2 {
    if $mta.health($1,$2) > 0 {
      if $rpg.areatype($1,$2) == Unknown mta.say $1 $mta.name($1,$2) > Area: $rpg.area($1,$2)
      elseif $rpg.isplace($1,$2) == $true mta.say $1 $mta.name($1,$2) > Place: $rpg.area($1,$2) - price: Not for sale
      elseif $rpg.forsale($1,$2) == $true mta.say $1 $mta.name($1,$2) > $rpg.areatype($1,$2) $+ : $rpg.area($1,$2) - Owner: $rpg.owner($1,$2) - For Sale: $chr(36) $+ $rpg.saleprice($1,$2)
      else mta.say $1 $mta.name($1,$2) > $rpg.areatype($1,$2) $+ : $rpg.area($1,$2) - Owner: $rpg.owner($1,$2) - price: $chr(36) $+ $rpg.price($1,$2)
    }
    else mta.say $1 $mta.name($1,$2) > Status: Character-Select screen
  }
  else mta.say $1 $mta.name($1,$2) > Status: Outgame
}
alias rpg.buyplace {
  if $rpg.areatype($1,$2) != Unknown && $rpg.isplace($1,$2) != $true {
    if $rpg.owner($1,$2) == No-one {
      if $rpg.cash($1,$2) >= $rpg.price($1,$2) {
        !writeini -n " $+ $rpg.dir $+ rpg.data.ini" owner $rpg.area($1,$2) $mta.name($1,$2)
        !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) property $calc($rpg.property($1,$2) + 1)
        !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash $calc($rpg.cash($1,$2) - $rpg.price($1,$2))
        mta.say $1 $mta.name($1,$2) Bought $rpg.areatype($1,$2) $+ : $rpg.area($1,$2)
      }
      else mta.msg $1 $2 $rpg.areatype($1,$2) $+ : $rpg.area($1,$2) - price: $chr(36) $+ $rpg.price($1,$2) - Cash $chr(36) $+ $rpg.cash($1,$2)
    }
    elseif $rpg.owner($1,$2) == $mta.name($1,$2) mta.msg $1 $2 You already own $rpg.areatype($1,$2) $+ : $rpg.area($1,$2)
    elseif $rpg.forsale($1,$2) == $true {
      if $rpg.cash($1,$2) >= $rpg.saleprice($1,$2) {
        !writeini -n " $+ $rpg.dir $+ rpg.ini" $rpg.owner($1,$2) property $calc($rpg.property($1,$2) - 1)
        !writeini -n " $+ $rpg.dir $+ rpg.ini" $rpg.owner($1,$2) cash $calc($readini($rpg.dir $+ rpg.ini,$rpg.owner($1,$2),cash) + $rpg.saleprice($1,$2))
        !writeini -n " $+ $rpg.dir $+ rpg.data.ini" owner $rpg.area($1,$2) $mta.name($1,$2)
        !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) property $calc($rpg.property($1,$2) + 1)
        !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash $calc($rpg.cash($1,$2) - $rpg.saleprice($1,$2))
        !remini -n " $+ $rpg.dir $+ rpg.data.ini" forsale $rpg.area($1,$2)
        if $rpg.propcash($1,$2) > 0 || $rpg.cpropitems($1,$2) > 0 {
          if $rpg.propcash($1,$2) > 0 {
            var %a = Cash: $chr(36) $+ $rpg.propcash($1,$2)
          }
          if $rpg.cpropitems($1,$2) > 0 {
            var % = %a $+ - Items: $rpg.cpropitems($1,$2)
          }
          mta.msg $1 $2 Last owner left > %a
        }
      }
      else mta.msg $1 $2 $rpg.areatype($1,$2) $+ : $rpg.area($1,$2) - price: $chr(36) $+ $rpg.saleprice($1,$2) - Cash: $chr(36) $+ $rpg.cash($1,$2)
    }    
    else mta.msg $1 $2 $rpg.areatype($1,$2) $+ : $rpg.area($1,$2) - Owner: $rpg.owner($1,$2)
  }
  else mta.msg $1 $2 Cannot buy this place
}
alias rpg.sellplace {
  if $rpg.owner($1,$2) == $mta.name($1,$2) {
    if $4 isnum {
      !writeini -n " $+ $rpg.dir $+ rpg.data.ini" forsale $rpg.area($1,$2) $4
      mta.say $1 $rpg.areatype($1,$2) $+ : $rpg.area($1,$2) is being sold For: $chr(36) $+ $4
    }
    else mta.msg $1 $2 Syntax: !sellplace <price>
  }
  else mta.msg $1 $2 You do not own this place
}
alias rpg.remsell {
  if $rpg.owner($1,$2) == $mta.name($1,$2) {
    if $rpg.forsale($1,$2) == $true {
      !remini -n " $+ $rpg.dir $+ rpg.data.ini" forsale $rpg.area($1,$2)
      mta.say $1 $rpg.areatype($1,$2) $+ : $rpg.area($1,$2) is no longer for sale
    }
    else mta.msg $1 $2 $rpg.areatype($1,$2) $+ : $rpg.area($1,$2) is not already for sale
  }
  else mta.msg $1 $2 You do not own this place
}
alias rpg.offer {
  if $rpg.areatype($1,$2) != Unknown && $rpg.isplace($1,$2) != $true {
    if $rpg.owner($1,$2) != No-one {
      if $rpg.owner($1,$2) != $mta.name($1,$2) {
        if $rpg.forsale($1,$2) != $true {
          if $4 {
            if $rpg.cash($1,$2) >= $4 {
              if $rpg.topoffer($1,$2) > 0 {
                if $rpg.topoffer($1,$2) < $4 {
                  !writeini -n " $+ $rpg.dir $+ rpg.ini" $rpg.topofferer($1,$2) cash $calc($readini($rpg.dir $+ rpg.ini,$rpg.topofferer($1,$2),cash) + $rpg.topoffer($1,$2))
                  !writeini -n " $+ $rpg.dir $+ rpg.data.ini" topoffer $rpg.area($1,$2) $4
                  !writeini -n " $+ $rpg.dir $+ rpg.data.ini" topofferer $rpg.area($1,$2) $mta.name($1,$2)
                  !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash $calc($rpg.cash($1,$2) - $4)
                  mta.msg $1 $2 Offer made on: $rpg.area($1,$2) - for: $chr(36) $+ $4
                }
                else mta.msg $1 $2 Someone has already offered more than $chr(36) $+ $4
              }
              else {
                !writeini -n " $+ $rpg.dir $+ rpg.ini" $rpg.topofferer($1,$2) cash $calc($readini($rpg.dir $+ rpg.ini,$rpg.topofferer($1,$2),cash) + $rpg.topoffer($1,$2))
                !writeini -n " $+ $rpg.dir $+ rpg.data.ini" topoffer $rpg.area($1,$2) $4
                !writeini -n " $+ $rpg.dir $+ rpg.data.ini" topofferer $rpg.area($1,$2) $mta.name($1,$2)
                !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash $calc($rpg.cash($1,$2) - $4)
                mta.msg $1 $2 Offer made on: $rpg.area($1,$2) - for: $chr(36) $+ $4
              }
            }
            else mta.msg $1 $2 You cannot offer more than you have
          }
          else mta.msg $1 $2 Syntax: !offer <ammount>
        }
        else mta.msg $1 $2 This $rpg.areatype($1,$2) is for sale (use !buyplace)
      }
      else mta.msg $1 $2 You already own this place
    }
    else mta.msg $1 $2 No one owns this $rpg.areatype($1,$2) (use !buyplace)
  }
  else mta.msg $1 $2 This is an unregistered place
}
alias rpg.remoffer {
  if $rpg.topofferer($1,$2) == $mta.name($1,$2) {
    !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash $calc($rpg.cash($1,$2) + $rpg.topoffer($1,$2))
    !remini -n " $+ $rpg.dir $+ rpg.data.ini" topoffer $rpg.area($1,$2)
    !remini -n " $+ $rpg.dir $+ rpg.data.ini" topofferer $rpg.area($1,$2)
    mta.msg $1 $2 Offer on: $rpg.area($1,$2) removed
  }
  else mta.msg $1 $2 You are not the top-offerer on this place
}
alias rpg.accept {
  if $rpg.owner($1,$2) == $mta.name($1,$2) {
    if $rpg.topoffer($1,$2) > 0 {
      !writeini -n " $+ $rpg.dir $+ rpg.ini" $rpg.topofferer($1,$2) property $calc($readini($rpg.dir $+ rpg.ini,$rpg.topofferer($1,$2),property) + 1)
      !writeini -n " $+ $rpg.dir $+ rpg.data.ini" owner $rpg.area($1,$2) $rpg.topofferer($1,$2)
      !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash $calc($rpg.cash($1,$2) + $rpg.topoffer($1,$2)) 
      mta.say $1 $mta.name($1,$2) sold $rpg.areatype($1,$2) $+ : $rpg.area($1,$2) to $rpg.topofferer($1,$2)
      !remini -n " $+ $rpg.dir $+ rpg.data.ini" topoffer $rpg.area($1,$2)
      !remini -n " $+ $rpg.dir $+ rpg.data.ini" topofferer $rpg.area($1,$2)
      if $rpg.propcash($1,$2) > 0 || $rpg.cpropitems($1,$2) > 0 {
        if $rpg.propcash($1,$2) > 0 {
          var %a = Cash: $chr(36) $+ $rpg.propcash($1,$2)
        }
        if $rpg.cpropitems($1,$2) > 0 {
          var % = %a $+ - Items: $rpg.cpropitems($1,$2)
        } 
        if $mta.getid($1,$rpg.owner($1,$2)) != -1 {
          mta.msg $1 $mta.getid($1,$rpg.owner($1,$2)) Last owner left > %a
        }
      }
    }
    else mta.msg $1 $2 No one has made an offer on $rpg.areatype($1,$2) $+ : $rpg.area($1,$2)
  }
  else mta.msg $1 $2 You do not own this place
}
alias rpg.offersget {
  if $rpg.owner($1,$2) == $mta.name($1,$2) {
    if $rpg.topoffer($1,$2) > 0 {
      mta.msg $1 $2 Top offer for $rpg.areatype($1,$2) $+ : $rpg.area($1,$2) $+ :
      mta.msg $1 $2 Offerer: $rpg.topofferer($1,$2) - Ammount: $chr(36) $+ $rpg.topoffer($1,$2)
    } 
    else mta.msg $1 $2 No offers for $rpg.areatype($1,$2) $+ : $rpg.area($1,$2)
  }
  else mta.msg $1 $2 You do not own this place
}
alias rpg.take {
  if $mta.vehicle($1,$2).name != foot && $mta.vehicle($1,$2).name != Unknown {
    if $rpg.carowner($1,$2) == $mta.name($1,$2) {
      if $rpg.caritems($1,$2) != None {
        if $rpg.items($1,$2) == None {
          mta.msg $1 $2 Taken: $rpg.caritems($1,$2) from: $mta.vehicle($1,$2).name
          !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) items $rpg.caritems($1,$2)
          !remini -n " $+ $rpg.dir $+ rpg.data.ini" caritems $mta.vehicle($1,$2)
        }
        else mta.msg $1 $2 You cannot carry anymore items
      }
      else mta.msg $1 $2 There are no items in: $mta.vehicle($1,$2).name
    }
    else mta.msg $1 $2 You do not own this vehicle
  }
  elseif $rpg.isprop($1,$2) == $true {
    if $rpg.owner($1,$2) == $mta.name($1,$2) {
      if $4 {
        if $4 == cash {
          if $5 {
            if $5 > 0 {
              if $5 <= $rpg.propcash($1,$2) {
                !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash $calc($rpg.cash($1,$2) + $5)
                !writeini -n " $+ $rpg.dir $+ rpg.data.ini" propcash $rpg.area($1,$2) $calc($rpg.propcash($1,$2) - $5)
                mta.msg $1 $2 Taken: $chr(36) $+ $5
              }
              else goto all4
            }
            else mta.msg $1 $2 Cannot take a negative amount
          }
          else {
            :all4
            mta.msg $1 $2 Taken: $chr(36) $+ $rpg.propcash($1,$2)
            !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash $calc($rpg.cash($1,$2) + $rpg.propcash($1,$2))
            !writeini -n " $+ $rpg.dir $+ rpg.data.ini" propcash $rpg.area($1,$2) 0
          }
        }
        elseif $4 == item || $4 == items {
          if $rpg.items($1,$2) == None {
            if $rpg.propitems($1,$2) != None {
              if $5 {
                if $readini($rpg.dir $+ rpg.data.ini,items,$5) != $null {
                  if $5 isin $rpg.propitems($1,$2) {
                    !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) items $5
                    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" propitems $rpg.area($1,$2) $remtok($rpg.propitems($1,$2),$5,1,44)
                    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" cpropitems $rpg.area($1,$2) $calc($rpg.cpropitems($1,$2) - 1)
                    mta.msg $1 $2 Taken: $5
                  }
                  else mta.msg $1 $2 There is no $+(',$5,') here
                }
                else mta.msg $1 $2 Unrecognised item: $+(',$5,')
              }
              elseif $rpg.cpropitems($1,$2) > 1 {
                var %a = $left($rpg.propitems($1,$2),$pos($rpg.propitems($1,$2),$chr(44),1))
                !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) items %a
                mta.msg $1 $2 Taken: %a
                !writeini -n " $+ $rpg.dir $+ rpg.data.ini" propitems $rpg.area($1,$2) $remtok($rpg.propitems($1,$2),%a,1,44)
                !writeini -n " $+ $rpg.dir $+ rpg.data.ini" cpropitems $rpg.area($1,$2) $calc($rpg.cpropitems($1,$2) - 1)
              }
              else {
                !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) items $rpg.propitems($1,$2)
                mta.msg $1 $2 Taken: $rpg.propitems($1,$2)
                !remini -n " $+ $rpg.dir $+ rpg.data.ini" propitems $rpg.area($1,$2)
                !remini -n " $+ $rpg.dir $+ rpg.data.ini" cpropitems $rpg.area($1,$2)
              }
            }
            else mta.msg $1 $2 There are no stashed items here
          }
          else mta.msg $1 $2 Cannot carry more than 1 item
        }
        else mta.msg $1 $2 Syntax: !take (<cash/item>) (<ammount/item-name>)
      }
      elseif $rpg.propcash($1,$2) > 0 || $rpg.propitems($1,$2) != None {
        if $rpg.propcash($1,$2) > 0 {
          var %a = Cash: $rpg.propcash($1,$2)
          !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash $calc($rpg.cash($1,$2) + $rpg.propcash($1,$2))
          !remini -n " $+ $rpg.dir $+ rpg.data.ini" propcash $rpg.area($1,$2)
        }
        if $rpg.propitems($1,$2) != None {
          if $rpg.items($1,$2) == None {
            if $rpg.cpropitems($1,$2) > 1 {
              var %b = $left($rpg.propitems($1,$2),$calc($pos($rpg.propitems($1,$2),-,1)-1))
              !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) items %b
              !writeini -n " $+ $rpg.dir $+ rpg.data.ini" propitems $rpg.area($1,$2) $remtok($rpg.propitems($1,$2),%b,1,44)
              !writeini -n " $+ $rpg.dir $+ rpg.data.ini" cpropitems $rpg.area($1,$2) $calc($rpg.cpropitems($1,$2) - 1)
              var %a = %a $+ - Items: %b
            }
            else {
              !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) items $rpg.propitems($1,$2)
              var %a = %a $+ - Items: $rpg.propitems($1,$2)
              !remini -n " $+ $rpg.dir $+ rpg.data.ini" propitems $rpg.area($1,$2)
              !remini -n " $+ $rpg.dir $+ rpg.data.ini" cpropitems $rpg.area($1,$2)
            }
          }
          else var %a = %a $+ - Items: already carrying
        }
        mta.msg $1 $2 Taken > %a
      }
    }
    else mta.msg $1 $2 You do not own this place
  }
  else mta.msg $1 $2 You can only stash/take things in/from property
}          
alias rpg.rob {
  if $rpg.isprop($1,$2) == $true {
    if $rpg.owner($1,$2) != No-one {
      if $rpg.owner($1,$2) != $mta.name($1,$2) {
        if $rpg.propcash($1,$2) > 0 || $rpg.propitems($1,$2) != None {
          if $rpg.propcash($1,$2) > 0 {
            var %a = Cash: $rpg.propcash($1,$2)
            var %z = $calc($rpg.propcash($1,$2) * 2)
            !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash $calc($rpg.cash($1,$2) + $rpg.propcash($1,$2))
            !remini -n " $+ $rpg.dir $+ rpg.data.ini" propcash $rpg.area($1,$2)
          }
          if $rpg.propitems($1,$2) != None {
            if $rpg.items($1,$2) == None {
              if $rpg.cpropitems($1,$2) > 1 {
                var %z = %z + 2000
                var %b = $left($rpg.propitems($1,$2),$pos($rpg.propitems($1,$2),$chr(44),1))
                !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) items %b
                !writeini -n " $+ $rpg.dir $+ rpg.data.ini" propitems $rpg.area($1,$2) $remtok($rpg.propitems($1,$2),%b,1,44)
                !writeini -n " $+ $rpg.dir $+ rpg.data.ini" cpropitems $rpg.area($1,$2) $calc($rpg.cpropitems($1,$2) - 1)
                var %a = %a $+ - Items: %b
              }
              else {
                var %z = %z + 2000
                !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) items $rpg.propitems($1,$2)
                var %a = %a $+ - Items: $rpg.propitems($1,$2)
                !remini -n " $+ $rpg.dir $+ rpg.data.ini" propitems $rpg.area($1,$2)
                !remini -n " $+ $rpg.dir $+ rpg.data.ini" cpropitems $rpg.area($1,$2)
              }
            }
            else var %a = %a $+ - Items: already carrying
          }
          if $rpg.forsale($1,$2) == $true { 
            !remini -n " $+ $rpg.dir $+ rpg.data.ini" forsale $rpg.area($1,$2)
            var %a = %a $+ - Other: 'For-sale' sign
          }
          if $mta.getid($1,$rpg.owner($1,$2)) != -1 { mta.msg $1 $mta.getid($1,$rpg.owner($1,$2)) Your property: $rpg.area($1,$2) is being robbed! }
          mta.msg $1 $2 Stolen > %a
          mta.msg $1 $2 Bounty risen by: $chr(36) $+ %z
        }
        else mta.msg $1 $2 Nothing here to rob
      }
      else mta.msg $1 $2 You cannot rob your own property
    }
    else mta.msg $1 $2 No one owns this, theres probably nothing inside
  }
  else mta.msg $1 $2 You can only rob properties
}
alias rpg.drop {
  if $rpg.items($1,$2) != None {
    mta.msg $1 $2 Dropped: $rpg.items($1,$2)
    !remini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) items
  }
  else mta.msg $1 $2 Not carrying any items
}
alias rpg.fine {
  if $4 {
    var %a = $iif($4 == $null,$2,$iif($mta.name($1,$4) != Unknown,$4,$mta.getid($1,$4)))
    if $mta.name($1,%a) != Unknown {
      if $rpg.owner($1,%a) == $mta.name($1,$2) {
        if $rpg.isprop($1,%a) == $true {
          if $rpg.cash($1,%a) > 0 {
            if $rpg.cash($1,%a) > 399 {
              !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash $calc($rpg.cash($1,$2) + 400)
              !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,%a) cash $calc($rpg.cash($1,%a) - 400)
              mta.msg $1 $2 Fined > $mta.name($1,%a) for $chr(36) $+ 400
              mta.msg $1 %a You have been fined: $chr(36) $+ 400 by: $mta.name($1,$2)
            }
            else {
              mta.msg $1 $2 Fined > $mta.name($1,%a) for $chr(36) $+ $rpg.cash($1,%a)
              mta.msg $1 %a You have been fined: $chr(36) $+ $rpg.cash($1,%a) by: $mta.name($1,$2)
              !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash $calc($rpg.cash($1,$2) + $rpg.cash($1,%a)
              !remini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,%a) cash
            }
          }
          else {
            mta.msg $1 $2 Fined > $mta.name($1,%a) $+ 's bounty risen by: $chr(36) $+ 2000
            mta.msg $1 %a Your bounty has risen by: $chr(36) $+ 2000
            !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,%a) bounty $calc($rpg.bounty($1,%a) + 2000)
          }
        }
        else mta.msg $1 $2 $mta.name($1,%a) is not on your property
      }
      else mta.msg $1 $2 $mta.name($1,%a) is not on your property
    }
    else mta.msg $1 $2 Name: $+(',$4,') not found
  }
  else {
    if $rpg.isprop($1,$2) == $true {
      var %a = 0,%b,%c,%d
      while %a < $mta.maxplayers($1) {
        if $mta.name($1,%a) != Unknown && $rpg.owner($1,%a) == $mta.name($1,$2) {
          if $rpg.cash($1,%a) > 0 {
            if $rpg.cash($1,%a) > 399 {
              mta.msg $1 %a You have been fined: $chr(36) $+ 400
              !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,%a) cash $calc($rpg.cash($1,%a) - 400)
              %c = %c + 400
            }
            else {
              mta.msg $1 %a You have been fined: $chr(36) $+ $rpg.cash($1,%a)
              %c = %c + $rpg.cash($1,%a)
              !remini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,%a) cash
            }
          }
          else {
            mta.msg $1 %a Your bounty has risen by: $chr(36) $+ 2000
            !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,%a) bounty $calc($rpg.bounty($1,%a) + 2000)
            !inc %d
          }
          !inc %b
        }
        !inc %a
      }
      mta.msg $1 $2 Fined > Count: %b - Cash: $chr(36) $+ %c - Risen bountys: %d
      !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash $calc($rpg.cash($1,$2) + %c)
    }
    else mta.msg $1 $2 You can only fine people on/from your property
  }
}  
alias rpg.buycar {
  if $mta.vehicle($1,$2).name != foot && $mta.vehicle($1,$2).name != Unknown {
    if $rpg.carowner($1,$2) == No-one {
      if $rpg.sold($1,$2) != $true {
        if $rpg.cash($1,$2) >= $rpg.carprice($1,$2) {
          if $rpg.items($1,$2) == None {
            !writeini -n " $+ $rpg.dir $+ rpg.data.ini" carowner $mta.vehicle($1,$2) $mta.name($1,$2)
            !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cars $calc($rpg.cars($1,$2) + 1)
            !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash $calc($rpg.cash($1,$2) - $rpg.carprice($1,$2))
            !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) items Pinkslip-( $+ $mta.vehicle($1,$2) $+ )
            mta.say $1 $mta.name($1,$2) bought: $mta.vehicle($1,$2).name for $chr(36) $+ $rpg.carprice($1,$2)
          }
          else mta.msg $1 $2 You must drop: $rpg.items($1,$2) so you can carry the pinkslip for the vehicle
        }
        else mta.msg $1 $2 This vehicle belongs to Sunshine-Autos
      }
      else mta.msg $1 $2 price of Vehicle: $chr(36) $+ $rpg.carprice($1,$2) - Cash: $chr(36) $+ $rpg.cash($1,$2)
    } 
    elseif $rpg.carforsale($1,$2) == $true {
      if $rpg.cash($1,$2) >= $rpg.carsaleprice($1,$2) {
        if $rpg.items($1,$2) == None {
          !writeini -n " $+ $rpg.dir $+ rpg.ini" $rpg.carowner($1,$2) cash $calc($readini($rpg.dir $+ rpg.ini,$rpg.carowner($1,$2),cash) + $rpg.carsaleprice($1,$2))
          !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash $calc($rpg.cash($1,$2) - $rpg.carsaleprice($1,$2))
          mta.say $1 $mta.name($1,$2) bought: $mta.vehicle($1,$2).name for $chr(36) $+ $rpg.carsaleprice($1,$2)
          !writeini -n " $+ $rpg.dir $+ rpg.data.ini" carowner $mta.vehicle($1,$2) $mta.name($1,$2)
          !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cars $calc($rpg.cars($1,$2) + 1)
          !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) items Pinkslip-( $+ $mta.vehicle($1,$2) $+ )
        }
        else mta.msg $1 $2 You must drop: $rpg.items($1,$2) so you can carry the pinkslip for the vehicle
      }
      else mta.msg $1 $2 price of Vehicle: $chr(36) $+ $rpg.carsaleprice($1,$2) - Cash: $chr(36) $+ $rpg.cash($1,$2)
    }
    else mta.msg $1 $2 Vehicle: $rpg.vehicle($1,$2).name - Owner: $rpg.carowner($1,$2)
  }
  else mta.msg $1 $2 You are not in a vehicle
}
alias rpg.sellcar {
  if $mta.vehicle($1,$2).name != foot && $mta.vehicle($1,$2).name != Unknown {
    if $rpg.carowner($1,$2) == $mta.name($1,$2) {
      if $rpg.items($1,$2) == Pinkslip-( $+ $mta.vehicle($1,$2) $+ ) {
        if $rpg.caritems($1,$2) == None {
          if $4 {
            !writeini -n " $+ $rpg.dir $+ rpg.data.ini" carforsale $mta.vehicle($1,$2) 1
            !writeini -n " $+ $rpg.dir $+ rpg.data.ini" carsaleprice $mta.vehicle($1,$2) $4
            !writeini -n " $+ $rpg.dir $+ rpg.data.ini" caritems $mta.vehicle($1,$2) Pinkslip-( $+ $mta.vehicle($1,$2) $+ )
            !remini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) items
            mta.say $1 $mta.name($1,$2) is selling $mta.vehicle($1,$2).name for $chr(36) $+ $4
          }
          else {
            !writeini -n " $+ $rpg.dir $+ rpg.data.ini" carforsale $mta.vehicle($1,$2) 1
            !writeini -n " $+ $rpg.dir $+ rpg.data.ini" carsaleprice $mta.vehicle($1,$2) $rpg.carprice($1,$2)
            !writeini -n " $+ $rpg.dir $+ rpg.data.ini" caritems $mta.vehicle($1,$2) Pinkslip-( $+ $mta.vehicle($1,$2) $+ )
            !remini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) items
            mta.say $1 $mta.name($1,$2) is selling $mta.vehicle($1,$2).name for $chr(36) $+ $rpg.carprice($1,$2)
          }
        }
        else mta.msg $1 $2 You must remove: $rpg.caritems($1,$2) from the vehicle
      }
      elseif $rpg.caritems($1,$2) == Pinkslip-( $+ $mta.vehicle($1,$2) $+ ) {
        if $4 {
          !writeini -n " $+ $rpg.dir $+ rpg.data.ini" carforsale $mta.vehicle($1,$2) 1
          !writeini -n " $+ $rpg.dir $+ rpg.data.ini" carsaleprice $mta.vehicle($1,$2) $4
          mta.say $1 $mta.name($1,$2) is selling $mta.vehicle($1,$2).name for $chr(36) $+ $4
        }
        else {
          !writeini -n " $+ $rpg.dir $+ rpg.data.ini" carforsale $mta.vehicle($1,$2) 1
          !writeini -n " $+ $rpg.dir $+ rpg.data.ini" carsaleprice $mta.vehicle($1,$2) $rpg.carprice($1,$2)
          mta.say $1 $mta.name($1,$2) is selling $mta.vehicle($1,$2).name for $chr(36) $+ $rpg.carprice($1,$2)
        }
      }
      else mta.msg $1 $2 You must have the pinkslip for the vehicle
    }
    else mta.msg $1 $2 You do not own this vehicle
  }
  else mta.msg $1 $2 You are not in a vehicle
}          
alias rpg.remsellcar {
  if $mta.vehicle($1,$2).name != foot && $mta.vehicle($1,$2).name != Unknown {
    if $rpg.carowner($1,$2) == $mta.name($1,$2) {
      if $rpg.carforsale($1,$2) == $true {
        !remini -n " $+ $rpg.dir $+ rpg.data.ini" carforsale $mta.vehicle($1,$2)
        mta.msg $1 $2 Vehicle: $mta.vehicle($1,$2).name is no longer for sale
      }
      else mta.msg $1 $2 Vehicle: $mta.vehicle($1,$2).name is not currently for sale
    }
    else mta.msg $1 $2 You do not own this vehicle
  }
  else mta.msg $1 $2 You are not in a vehicle
}
alias rpg.petrolkill {
  !.timer 5 0 mta.slap $1 $2
  !.timer 1 2 mta.say $1 $mta.name($1,$2) Blew up - Engine explosion!
}
alias rpg.propkill {
  if $mta.name($1,$3) != Unknown {
    if $2 != $3 {
      if $rpg.owner($1,$2) == $mta.name($1,$3) {
        if $rpg.cash($1,$2) > 0 || $rpg.items($1,$2) != None {
          if $rpg.cash($1,$2) > 0 {
            var %a = Cash: $chr(36) $+ $rpg.cash($1,$2)
            !writeini -n " $+ $rpg.dir $+ rpg.data.ini" propcash $rpg.area($1,$2) $calc($rpg.propcash($1,$2) + $rpg.cash($1,$2))
          }
          if $rpg.items($1,$2) != None {
            if $rpg.propitems($1,$2) == None {
              var %a = %a $+ - Items: $rpg.items($1,$2)
              !writeini -n " $+ $rpg.dir $+ rpg.data.ini" propitems $rpg.area($1,$2) $rpg.items($1,$2)
            }
            elseif $rpg.cpropitems($1,$2) < 3 {
              var %a = %a $+ - Items: $rpg.items($1,$2)
              !writeini -n " $+ $rpg.dir $+ rpg.data.ini" propiems $rpg.area($1,$2) $rpg.propitems($1,$2) $+ , $+ $rpg.items($1,$2)
            }
          }
          if %a {
            mta.msg $1 $3  Gained > %a
          }
        }
      }
    }
  }
}
alias rpg.kill {
  if $rpg.cash($1,$2) > 0 || $rpg.bounty($1,$2) > 0 {
    if $rpg.cash($1,$2) > 0 {
      var %a = Cash: $chr(36) $+ $rpg.cash($1,$2)
      !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$3) cash $calc($rpg.cash($1,$3) + $rpg.cash($1,$2))
    }
    if $rpg.bounty($1,$2) > 0 {
      var %a = %a $+ - Bounty: $chr(36) $+ $rpg.bounty($1,$2)
    }
    else {
      !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$3) bounty $calc($rpg.bounty($1,$3) + 1000)
    }
    mta.msg $1 $3 Gained > %a
  }
  else {
    !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$3) bounty $calc($rpg.bounty($1,$3) + 1000)
    mta.msg $1 $2 Bounty risen by: $chr(36) $+ 1000
  }
}    
alias rpg.petrolcheck {
  if $mta.players($1) > 0 {
    var %a = 0
    while %a <= $mta.maxplayers($1) {
      if $mta.name($1,$2) != Unknown {
        if $mta.vehicle($1,%a).name != foot && $mta.vehicle($1,$2).name != Unknown {
          if $calc($rpg.petrol($1,%a) - $calc($calc($ctime - $rpg.entertime($1,%a)) / 10)) < 0 { !writeini -n " $+ $rpg.dir $+ rpg.data.ini" petrol $mta.vehicle($1,%a) 0 }
          else !writeini -n " $+ $rpg.dir $+ rpg.data.ini" petrol $mta.vehicle($1,%a) $calc($rpg.petrol($1,%a) - $calc($calc($ctime - $rpg.entertime($1,%a)) / 10))
          :start
          if $rpg.petrol($1,%a) > 0 {
            !writeini -n " $+ $rpg.dir $+ rpg.data.ini" entertime $mta.vehicle($1,%a) $ctime
            if $rpg.petrol($1,%a) < 10 { mta.msg $1 %a WARNING! Getting low on petrol! ( $+ $rpg.petrol($1,%a) $+ ) }
          }
          elseif $rpg.items($1,%a) == Petrol-can && $readini($rpg.dir $+ rpg.ini,$mta.name($1,%a),petrolcan) > 0 {
            !writeini -n " $+ $rpg.dir $+ rpg.data.ini" petrol $mta.vehicle($1,%a) $readini($rpg.dir $+ rpg.ini,$mta.name($1,%a),petrolcan)
            mta.msg $1 %a Emptied petrol-can into vehicle - Petrol: $rpg.petrol($1,%a)
            !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,%a) petrolcan 0
            goto start 
          }
          else {
            mta.msg $1 %a WARNING! No petrol - exit vehicle NOW!
            $+(!.timerkill,.,$1,.,%a) 1 5 rpg.petrolkill $1 %a
          }
        }
      }
      !inc %a
    }
  }
}
alias rpg.areatype {
  if $rpg.isprop($1,$2) == $true !return Property
  elseif $rpg.isdistrict($1,$2) == $true !return $iif($mta.game($1) == GTA:VC,District,Island)
  elseif $rpg.iscity($1,$2) == $true !return City
  elseif $rpg.isplace($1,$2) == $true !return Place 
  else !return Unknown
}
alias rpg.district {
  var %a,%b = 1,%c = $dll($mta.dir $+ mta.dll,location,$1-2 x),%d = $dll($mta.dir $+ mta.dll,location,$1-2 y),%e
  if (%c == Unknown) !return Unknown
  if ($did(mta,$1 $+ 33) == GTA:3) %a = DISTRICT1
  else %a = DISTRICT
  while (%b <= $ini($rpg.dir $+ rpg.data.ini,%a,0)) {
    %e = $ini($rpg.dir $+ rpg.data.ini,%a,%b)
    if ($inpoly(%c,%d, [ %e ] )) !return $readini($rpg.dir $+ rpg.data.ini,%a,%e)
    !inc %b
  }
  !return $iif($did(mta,$1 $+ 33) == GTA:3,Liberty-City,Vice-City)
}
alias rpg.area {
  var %a,%b = 1,%c = $dll($mta.dir $+ mta.dll,location,$1-2 x),%d = $dll($mta.dir $+ mta.dll,location,$1-2 y),%e
  if (%c == Unknown) !return Unknown
  if ($did(mta,$1 $+ 33) == GTA:3) %a = AREA1
  else %a = AREA
  while (%b <= $ini($rpg.dir $+ rpg.data2.ini,%a,0)) {
    %e = $ini($rpg.dir $+ rpg.data2.ini,%a,%b)
    if ($inpoly(%c,%d, [ %e ] )) !return $readini($rpg.dir $+ rpg.data2.ini,%a,%e)
    !inc %b
  } 
  var %b = 1
  while (%b <= $ini($rpg.dir $+ rpg.data.ini,%a,0)) {
    %e = $ini($rpg.dir $+ rpg.data.ini,%a,%b)
    if ($inpoly(%c,%d, [ %e ] )) !return $readini($rpg.dir $+ rpg.data.ini,%a,%e)
    !inc %b
  }
  !return $iif($did(mta,$1 $+ 33) == GTA:3,Liberty-City,Vice-City)
}
alias rpg.join {
  if $readini($rpg.dir $+ clan.ini,$4,reg) == 1 {
    if $4 isin $mta.name($1,$2) {
      if $rpg.clanleader($1,$2) != $mta.name($1,$2) {
        if $rpg.isclan($1,$2) == $true {
          mta.say $1 $mta.name($1,$2) left $rpg.clan($1,$2) and joined $4
        }
        else mta.say $1 $mta.name($1,$2) Joined $+(',$4,')
        !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) clan $4
        if $readini($rpg.dir $+ clan.ini,$4,name) != $null {
          !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) clanname 
        }
      }
      else mta.msg $1 $2 You are not the leader of $rpg.clan($1,$2)
    }
    else mta.msg $1 $2 You do not have the clan-tag in your name
  }
  else mta.msg $1 $2 $+(',$4,') clan not found
}
alias rpg.leave {
  if $rpg.isclan($1,$2) == $true {
    if $rpg.clanleader($1,$2) != $mta.name($1,$2) {
      mta.say $1 $mta.name($1,$2) left $rpg.clan($1,$2)
      !remini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) clan
    }
    else mta.msg $1 $2 You are $rpg.clan($1,$2) $+ 's registered leader (use !leader)
  }
  else mta.msg $1 $2 You are currently not in a clan
}
alias rpg.leader {
  if $rpg.isclan($1,$2) == $true {
    if $rpg.leader($1,$2) == $mta.name($1,$2) {
      if $4 {
        !writeini -n " $+ $rpg.dir $+ clan.ini" $rpg.clan($1,$2) leader $4
      }
      else mta.msg $1 $2 Syntax: !leader <new leader's name>
    }
    else mta.msg $1 $2 You are not the leader of $rpg.clan($1,$2)
  }
  else mta.msg $1 $2 You are currently not in a clan
}
alias event.hunload { !dll " $+ $rpg.dir $+ rpg.dll" hunload }
alias rpg.rig {
  if $mta.vehicle($1,$2).name != foot {
    if $rpg.items($1,$2) == Bomb {
      !writeini -n " $+ $rpg.dir $+ rpg.data.ini" rigged $mta.vehicle($1,$2) 1
      !writeini -n " $+ $rpg.dir $+ rpg.data.ini" riggedby $mta.vehicle($1,$2) $mta.name($1,$2)
      !remini -n " $+ $rpg.dir $+ rpg.ini" items $mta.name($1,$2)
      mta.msg $1 $2 Rigged: $mta.vehicle($1,$2).name
    }
    else mta.msg $1 $2 You are not carrying a bomb
  }
  elseif $rpg.items($1,$2) == Timebomb {
    if $rpg.areatype($1,$2) == Property) {
      if ($4 < 300 || $4 == $null) {
        var %a = $iif($4 == $null,120,$4)
        !remini -n " $+ $rpg.dir $+ " $+ $rpg.dir $+ rpg.ini" items $mta.name($1,$2)
        !.timer 1 $calc(%a - 2) !writeini -n " $+ $rpg.dir $+ rpg.ini" timebombed $mta.name($1,$2) $rpg.area($1,$2)
        !.timer 1 %a rpg.timebombed $1-
        mta.msg $1 $2 RPG > Timebomb - Timer: $duration(%a) - Area: $rpg.area($1,$2)
      }
      else mta.msg $1 $2 RPG > Error: /msg rig <timer> (1-300)
    }
    else mta.msg $1 $2 RPG > You can only rig properties
  }        
  else mta.msg $1 $2 RPG > You are not carrying a Timebomb
}
alias rpg.timebombed {
  var %a = 0,%b
  while %a < $mta.maxplayers($1) {
    if $rpg.area($1,%a) == $readini($rpg.dir $+ rpg.ini,timebombed,$mta.name($1,$2)) {
      !.timer $calc($calc($mta.health($1,%a) / 20) + 1) 0 mta.slap $1 %a
      !inc %b
    }
    !inc %a
  }
  if (%b) { 
    !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) cash $calc($rpg.cash($1,$2) + $calc(1000 * %b))
    mta.msg $1 $2 Blew up %b people - Gained: $chr(36) $+ $calc(1000 * %b)
    !.timer 1 3 mta.say $1 $mta.name($1,$2) Timebombed $readini($rpg.dir $+ rpg.ini,timebombed,$mta.name($1,$2)) and killed %b
  }
}
alias rpg.wanted {
  var %a = 0,%b,%c,%d
  while (%a < $mta.maxplayers($1)) {
    if ($mta.name($1,%a) != Unknown && $rpg.bounty($1,%a) > %b) { 
      %b = $rpg.bounty($1,%a)
      %c = $mta.name($1,%a)
    }
    !inc %a
  }
  %d = $+(%c,$chr(40),%b,$chr(41))
  if ($mta.players($1) > 1) {
    var %a = 0,%b
    while (%a < $mta.maxplayers($1)) {
      if ($mta.name($1,%a) != Unknown && $rpg.bounty($1,%a) > %b && $mta.name($1,%a) != %c) {
        %b = $rpg.bounty($1,%a)
        %c = $mta.name($1,%a)
      }
      !inc %a
    } 
    %d = %d $+ , $+(%c,$chr(40),%b,$chr(41))
  }
  mta.say $1 Most Wanted: %d
}
alias event.hload { !dll " $+ $rpg.dir $+ rpg.dll" hload $rpg.dir }
;---------KOTH------------
alias rpg.koth { 
  if $2 == check { mta.say $1 KOTH > Status: $rpg.kothstat($1) }
  elseif $2 == on {
    if $rpg.kothstat($1) == off {
      !writeini -n " $+ $rpg.dir $+ koth.ini" $1 status on
      var %a = 1,%b = $ini(rpg.data.ini,$iif($mta.game($1) == GTA:VC,AREA,AREA1),0)
      if $3 {
        while %a <= %b {
          var %c = $readini($rpg.dir $+ rpg.data.ini,$iif($mta.game($1) == GTA:VC,AREA,AREA1),$ini(rpg.data.ini,$iif($mta.game($1) == GTA:VC,AREA,AREA1),%a))
          if $3 isin %c { var %d = %c }
          !inc %a
        }
        if %d == $null { goto pick }
        !writeini -n " $+ $rpg.dir $+ koth.ini" $1 house %d
        mta.say $1 KOTH > King of The House Activated! - House: %d
      }
      else {
        :pick
        %e = $rand(1,%b)
        if $readini($rpg.dir $+ rpg.data.ini,$iif($mta.game($1) == GTA:VC,AREA,AREA1),$ini(rpg.data.ini,$iif($mta.game($1) == GTA:VC,AREA,AREA1),%e)) !isin $readini($rpg.dir $+ rpg.data.ini,DATA,districts) {
          %d = $readini($rpg.dir $+ rpg.data.ini,$iif($mta.game($1) == GTA:VC,AREA,AREA1),$ini(rpg.data.ini,$iif($mta.game($1) == GTA:VC,AREA,AREA1),%e))
        }
        else goto pick
        !writeini -n " $+ $rpg.dir $+ koth.ini" $1 house %d
        mta.say $1 KOTH > King of The House Activated! - House: %d
      } 
    }
    else mta.say $1 KOTH > King of The House already activated!
  }
  elseif $2 == off { 
    if $rpg.kothstat($1) == on { 
      !writeini -n " $+ $rpg.dir $+ koth.ini" $1 status off
      !remini -n " $+ $rpg.dir $+ koth.ini" $1 owner
      mta.say $1 KOTH > King of The House De-activated!
    }
    else mta.say $1 KOTH > King of The House already de-activated!
  }       
}
alias rpg.kothkill {
  if $rpg.tkothowner($1) == clan {
    if $rpg.clan($1,$2) == $rpg.kothowner($1) {
      if $2 != $3 && $mta.name($1,$3) != Unknown {
        if $rpg.kothclancheck($1,$rpg.clan($1,$2)) < 1 {
          if $rpg.area($1,$3) == $rpg.kothhouse($1) {
            if $rpg.isclan($1,$3) == $true {
              if $rpg.clan($1,$3) != $rpg.clan($1,$2) {
                !writeini -n " $+ $rpg.dir $+ clan.ini" $rpg.clan($1,$2) owntime $calc($rpg.clanowntime($1,$2) + $rpg.kothown($1))
                mta.say $1 KOTH > $rpg.clan($1,$2) held house for: $rpg.kothowndur($1) - Total: $duration($rpg.clanowntime($1,$2))
                !writeini -n " $+ $rpg.dir $+ koth.ini" $1 owner $rpg.clan($1,$3)
                !writeini -n " $+ $rpg.dir $+ koth.ini" $1 ownstart $ctime
                !.timer 1 2 mta.say $1 KOTH > House: $rpg.kothhouse($1) - New Owner: $rpg.kothowner($1)
              }
              else mta.say $1 KOTH > $rpg.clan($1,$3) killed one of their own!
            } 
            else {
              !writeini -n " $+ $rpg.dir $+ clan.ini" $rpg.clan($1,$2) owntime $calc($rpg.clanowntime($1,$2) + $rpg.kothown($1))
              mta.say $1 KOTH > $rpg.clan($1,$2) held house for: $rpg.kothowndur($1) - Total: $duration($rpg.clanowntime($1,$2))
              !writeini -n " $+ $rpg.dir $+ koth.ini" $1 owner $mta.name($1,$3)
              !writeini -n " $+ $rpg.dir $+ koth.ini" $1 ownstart $ctime
              !.timer 1 2 mta.say $1 KOTH > House: $rpg.kothhouse($1) - New Owner: $rpg.kothowner($1)
            }
          }
          else {
            !writeini -n " $+ $rpg.dir $+ clan.ini" $rpg.clan($1,$2) owntime $calc($rpg.clanowntime($1,$2) + $rpg.kothown($1))
            mta.say $1 KOTH > $rpg.clan($1,$2) held house for: $rpg.kothowndur($1) - Total: $duration($rpg.clanowntime($1,$2))
            !remini -n " $+ $rpg.dir $+ koth.ini" $1 owner
            rpg.kothownfind $1-
          }
        }
        else mta.say $1 KOTH > $rpg.kothclancheck($1,$rpg.clan($1,$2)) $rpg.clan($1,$2) $+ $iif($rpg.kothclancheck($1,$rpg.clan($1,$2)) > 1,'s remain,remaining)
      }
      elseif $rpg.kothclancheck($1,$rpg.clan($1,$3)) < 1 {
        !writeini -n " $+ $rpg.dir $+ clan.ini" $rpg.clan($1,$2) owntime $calc($rpg.clanowntime($1,$2) + $rpg.kothown($1))
        mta.say $1 KOTH > $rpg.clan($1,$2) held house for: $rpg.kothowndur($1) - Total: $duration($rpg.clanowntime($1,$2))
        !remini -n " $+ $rpg.dir $+ koth.ini" $1 owner
        rpg.kothownfind $1-
      }
      else mta.say $1 KOTH > $rpg.kothclancheck($1,$rpg.clan($1,$2)) $rpg.clan($1,$2) $+ $iif($rpg.kothclancheck($1,$rpg.clan($1,$2)) > 1,'s remain,remaining)
    }
    elseif $rpg.clan($1,$3) == $rpg.kothowner($1) {
      if $2 != $3 {
        if $rpg.area($1,$3) == $rpg.kothhouse($1) {
          if $rpg.clan($1,$2) != $rpg.clan($1,$3) {
            !writeini -n " $+ $rpg.dir $+ koth.ini" $1 kills $calc($rpg.ckothkills($1) + 1)
            !writeini -n " $+ $rpg.dir $+ clan.ini" $rpg.clan($1,$3) kothkills $calc($rpg.clankothkills($1,$3) + 1)
            mta.say $1 KOTH > $rpg.clan($1,$3) has killed $rpg.ckothkills($1) intruder(s) - Total: $rpg.clankothkills($1,$3)
          }
        }
      }
      elseif $rpg.kothclancheck($1,$rpg.clan($1,$2)) < 1 {
        !writeini -n " $+ $rpg.dir $+ clan.ini" $rpg.clan($1,$2) owntime $calc($rpg.clanowntime($1,$2) + $rpg.kothown($1))
        mta.say $1 KOTH > $rpg.clan($1,$2) held house for: $rpg.kothowndur($1) - Total: $duration($rpg.clanowntime($1,$2))
        !remini -n " $+ $rpg.dir $+ koth.ini" $1 owner
        rpg.kothownfind $1-
      }
    }
  }
  elseif $mta.name($1,$2) == $rpg.kothowner($1) {
    if $2 != $3 && $mta.name($1,$3) != Unknown {
      if $rpg.area($1,$3) == $rpg.kothhouse($1) {
        !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) owntime $calc($rpg.owntime($1,$2) + $rpg.kothown($1))
        mta.say $1 KOTH > $mta.name($1,$2) held house for: $rpg.kothowndur($1) - Total: $duration($rpg.owntime($1,$2))
        !writeini -n " $+ $rpg.dir $+ koth.ini" $1 owner $mta.name($1,$3)
        !writeini -n " $+ $rpg.dir $+ koth.ini" $1 ownstart $ctime
        !.timer 1 2 mta.say $1 KOTH > House: $rpg.kothhouse($1) - New Owner: $rpg.kothowner($1)
      }
      else {
        !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) owntime $calc($rpg.owntime($1,$2) + $rpg.kothown($1))
        mta.say $1 KOTH > $mta.name($1,$2) held house for: $rpg.kothowndur($1) - Total: $duration($rpg.owntime($1,$2))
        !remini -n " $+ $rpg.dir $+ koth.ini" $1 owner
        rpg.kothownfind $1-
      }
    }
    else {
      !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$2) owntime $calc($rpg.owntime($1,$2) + $rpg.kothown($1))
      mta.say $1 KOTH > $mta.name($1,$2) held house for: $rpg.kothowndur($1) - Total: $duration($rpg.owntime($1,$2))
      !remini -n " $+ $rpg.dir $+ koth.ini" $1 owner
      rpg.kothownfind $1-
      mta.say $1 1
    }
  }
  elseif $mta.name($1,$3) == $rpg.kothowner($1) {
    if $2 != $3 && $mta.name($1,$2) != Unknown {
      if $rpg.area($1,$2) == $rpg.kothhouse($1) {
        !writeini -n " $+ $rpg.dir $+ koth.ini" $1 kills $calc($rpg.ckothkills($1) + 1)
        !writeini -n " $+ $rpg.dir $+ rpg.ini" $mta.name($1,$3) kothkills $calc($rpg.kothkills($1,$3) + 1)
        mta.say $1 KOTH > $mta.name($1,$3) has killed $rpg.ckothkills($1) intruder(s) - Total: $rpg.kothkills($1,$3)
      }
    }
  }
}
alias rpg.kothcheck {
  if $rpg.kothstat($1) == on { 
    if $rpg.kothowner($1) != No-one {
      if $rpg.tkothowner($1) == clan {
        if $rpg.kothclancheck($1,$rpg.kothowner($1)) > 0 { mta.say $1 KOTH > House: $rpg.kothhouse($1) - Owner: $rpg.kothowner($1) - Duration: $rpg.kothowndur($1) }
        else {
          mta.say $1 $1 KOTH > $rpg.kothowner($1) held house for: $rpg.kothowndur($1) - Total: $duration($rpg.owntime($1,$2))
          rpg.kothownfind $1-
        }
      }
      elseif $rpg.area($1,$mta.getid($1,$rpg.kothowner($1))) == $rpg.kothhouse($1) {
        if $mta.health($1,$mta.getid($1,$rpg.kothowner($1))) > 0 { mta.say $1 KOTH > House: $rpg.kothhouse($1) - Owner: $rpg.kothowner($1) - Duration: $rpg.kothowndur($1) }
        else {
          mta.say $1 KOTH > $rpg.kothowner($1) held house for: $rpg.kothowndur($1) - Total: $duration($rpg.owntime($1,$2))
          rpg.kothownfind $1-
        }
      }
      else {
        mta.say $1 KOTH > $mta.name($1,$2) held house for: $rpg.kothowndur($1) - Total: $duration($rpg.owntime($1,$2))
        rpg.kothownfind $1-
      }
    }
    else rpg.kothownfind $1-
  }
}
alias rpg.kothclancheck {
  var %a = 0,%b
  while %a < $mta.maxplayers($1) {
    if $rpg.area($1,%a) == $rpg.kothhouse($1) && $rpg.clan($1,%a) == $2 && $mta.health($1,%a) > 0 {
      !inc %b
    }
    !inc %a
  }
  !return %b
}
alias rpg.kothownfind {
  var %a = 0,%b,%c,%d
  while %a < $mta.maxplayers($1) {
    if $rpg.area($1,%a) == $rpg.kothhouse($1) && $mta.health($1,%a) > 0 && $mta.name($1,%a) != $rpg.kothowner($1) {
      var %c = $mta.health($1,%a)
      if %d {
        if %c > %d {
          if $rpg.isclan($1,%a) == $true { !writeini -n " $+ $rpg.dir $+ koth.ini" $1 owner $rpg.clan($1,%a) | !writeini -n " $+ $rpg.dir $+ koth.ini" $1 ownstart $ctime }
          else !writeini -n " $+ $rpg.dir $+ koth.ini" $1 owner $mta.name($1,%a)
        }
      }
      elseif $rpg.isclan($1,%a) == $true { !writeini -n " $+ $rpg.dir $+ koth.ini" $1 owner $rpg.clan($1,%a) | !writeini -n " $+ $rpg.dir $+ koth.ini" $1 ownstart $ctime }
      else { !writeini -n " $+ $rpg.dir $+ koth.ini" $1 owner $mta.name($1,%a) | !writeini -n " $+ $rpg.dir $+ koth.ini" $1 ownstart $ctime }
      !inc %b
    }
    var %d = $mta.health($1,%a)
    !inc %a
  }
  if %b { mta.say $1 KOTH > House: $rpg.kothhouse($1) - New Owner: $rpg.kothowner($1) }
  else mta.say $1 KOTH > House: $rpg.kothhouse($1) - Owner: $rpg.kothowner($1)
}
alias rpg.writedata {
  if (!$readini($rpg.dir $+ rpg.data.ini,data,first)) {
    !remove " $+ $rpg.dir $+ rpg.data.ini"
    ;ITEMS-price
    ;!writeini -n " $+ $rpg.dir $+ rpg.data.ini" items <item> <price>
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" items Bomb 2000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" items Petrol-can 200
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" items Hotwire 2050
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" items Timebomb 9500
    ;ITEMS2-PLACE
    ;!writeini -n " $+ $rpg.dir $+ rpg.data.ini" items2 <item> <place>
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" items2 Bomb Ammunation
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" items2 Petrol-can Garage-(Ocean-Beach)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" items2 Hotwire Ammunation
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" items2 Timebomb Ammunation
    ;AREA-VC
    ;!writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA <co-ords> <name>
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA 70.318489074707,-1040.04455566406,77.6129837036133,-1092.517578125,21.0506134033203,-1091.83374023438,20.4726867675781,-1041.03820800781 Garage-(Ocean-Beach)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -1060.54,-807.183,-959.702,-807.183,-959.702,-910.663,-1060.54,-910.663 Sunshine-Autos
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -898.2357,-326.6091,-898.2196,-355.5072,-936.2309,-355.5205,-939.2854,-352.5587,-952.3001,-342.9138,-957.1079,-341.7898,-966.5380,-337.4671,-966.5401,-328.1766 Bank
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -684.045715332031,1199.13049316406,-682.746276855469,1208.12854003906,-668.270080566406,1214.97644042969,-666.623962402344,1211.45581054688,-665.212097167969,1199.2490234375 Ammunation
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -360.8747,-555.7845,-334.5056,-557.7774,-315.9211,-572.2698,-315.9218,-583.5366,-360.8909,-583.0516,-371.2868,-598.6026,-385.7661,-598.9270,-396.1668,-583.0516,-408.7550,-566.8619,-408.7655,-557.6369 Vercetti-Estate
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -1137.24,-160.199,-1041.76,-160.199,-1041.76,-315.199,-1137.24,-315.199 Print-Works
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -136.403,1045.75,15.6971,1045.75,15.6971,852.042,-136.403,852.042 Film-Studio
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -1798.05,-41.9074,-1555.85,-41.9074,-1555.85,-315.199,-1798.05,-315.199 Military-Base
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA 278.236,-203.582,407.736,-203.582,407.736,-382.62,278.236,-382.62 Construction-Yard
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -910.914,-569.893,-850.889,-569.893,-850.889,-596.38,-910.914,-596.38 Cherry-Poppers
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -910.914,-542.906,-850.89,-542.906,-850.89,-569.893,-910.914,-569.893 Cherry-Poppers
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -1015.36,221.755,-994.035,221.755,-994.035,178.913,-1015.36,178.913 Kaufman-Cabs
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -993.383,219.317,-979.853,219.317,-979.853,176.475,-993.383,176.475 Kaufman-Cabs
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA 407.799,-32.7556,627.499,-32.7556,627.499,-382.756,407.799,-382.756 Malibu-Club
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA 457.587,47.0594,557.587,47.0594,557.587,-32.7556,457.587,-32.7556 Malibu-Club
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -41.2233,-1334.67,178.777,-1334.67,178.777,-1476.02,-41.2233,-1476.02 Pole-Position
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -1118.93493652344,279.124359130859,-1118.4677734375,308.650695800781,-1087.98486328125,308.743621826172,-1088.0419921875,279.328033447266 Salvage-&-Towing-Hangar-(Phils-Place)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -1102.59094238281,335.366241455078,-1107.89916992188,334.836120605469,-1108.00390625,355.775695800781,-1102.58288574219,356.603576660156 Caravan-(Phils-Place)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -869.872863769531,-87.3756561279297,-857.839172363281,-88.2621231079102,-846.706481933594,-82.5149459838867,-839.119995117187,-72.237434387207,-847.764038085938,-70.4237594604492,-869.169799804687,-77.7333526611328 Ryton-Aide
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -961.984741210937,-683.985961914062,-961.580688476563,-695.094604492188,-978.033020019531,-699.828552246094,-980.275024414062,-688.180297851562 Screw-This-(Little-Haiti)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -1161.52331542969,-605.351806640625,-1176.62951660156,-604.777404785156,-1174.67724609375,-636.923400878906,-1158.20166015625,-635.186828613281 Robina's-Cafe-Cubano
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -1201.83349609375,-327.433044433594,-1185.04956054688,-326.486999511719,-1184.05322265625,-308.167266845703,-1202.85852050781,-309.715270996094 Laundromat-(Little-Havanna)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -845.400024414062,-628.715270996094,-844.051208496094,-639.521057128906,-868.621887207031,-643.078369140625,-869.568115234375,-633.026184082031 Callegi-Restaurant-(Little-Havanna)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -951.023193359375,-1144.60754394531,-950.273742675781,-1199.32897949219,-969.697631835938,-1200.47265625,-1019.19519042969,-1182.57958984375,-1023.92419433594,-1164.17419433594,-1027.42468261719,-1098.22998046875,-949.927612304687,-1097.59936523438 Hooker-Inn-Express-(Viceport)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -690.700561523437,-1492.84069824219,-671.030395507812,-1444.25756835938,-588.636474609375,-1483.55798339844,-565.270812988281,-1502.7734375,-573.507141113281,-1524.40502929687,-661.924255371094,-1512.75280761719 Boat-Yard-(Viceport)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -830.259460449219,-1553.32348632813,-846.137145996094,-1556.63830566406,-854.15673828125,-1578.0673828125,-845.090148925781,-1591.08801269531,-706.246276855469,-1642.5048828125,-690.577209472656,-1645.12744140625,-668.220153808594,-1623.31689453125,-679.938781738281,-1613.12548828125,-689.769409179688,-1606.78332519531 Southern-Ship-(Viceport)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -964.350952148438,-453.305816650391,-960.789001464844,-483.681030273438,-914.108764648438,-477.535400390625,-913.762145996094,-448.685119628906 Basketball-Courts-(Little-Havana)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -1020.544921875,-440.62744140625,-1025.95690917969,-429.605072021484,-1026.03662109375,-428.970794677734,-1023.34490966797,-416.519775390625 Streetwear/Tattoo Parlour-(Little-Havana)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -1115.87963867188,-349.009643554687,-1098.88842773438,-486.545379638672,-1180.44079589844,-498.954132080078,-1203.5595703125,-358.482208251953 Housing-Estate-(Little-Haiti)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -592.303039550781,653.445983886719,-592.698425292969,631.676879882813,-603.939697265625,628.801025390625,-603.275756835938,650.125366210937 The-Greasy-Chopper-Bar-(Downtown)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -1062.48205566406,94.2708053588867,-1028.21765136719,91.8439178466797,-1029.7607421875,71.3232040405273,-1062.53112792969,69.7856674194336 Pizza-Place-(Little-Haiti)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -682.269226074219,757.86865234375,-746.701965332031,762.529418945313,-684.473815917969,979.105407714844,-752.094116210937,986.892517089844 Fire-Department-(Downtown)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -859.012817382813,1293.75109863281,-867.72509765625,1366.0517578125,-788.877746582031,1374.4052734375,-779.31982421875,1310.25756835938 Hyman-Condo-(Downtown)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -881.693176269531,808.410766601562,-917.481567382813,808.502502441406,-917.622985839844,786.26171875,-880.802795410156,785.210083007812 Pizza-Place-(Downtown)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -882.695861816406,749.673461914062,-857.076599121094,752.263366699219,-858.757568359375,728.667846679688,-888.956481933594,713.296508789063 Rock-City-(Downtown)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -711.012329101562,414.950042724609,-686.111511230469,625.494079589844,-900.434692382813,639.682983398438,-894.582397460937,419.914459228516 Moist-Palms-Hotel-(Downtown)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -584.585693359375,746.484069824219,-583.024780273437,856.22900390625,-474.234619140625,868.66064453125,-502.776336669922,750.527404785156 Main-Offices-(Downtown)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -956.497985839844,154.390487670898,-956.066101074219,142.470260620117,-969.6015625,141.974487304688,-969.058288574219,155.330261230469 Auntie-Poulet's-House-(Little-Haiti)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -829.088745117187,737.907775878906,-828.742309570312,747.615783691406,-845.259521484375,748.315490722656,-845.248840332031,739.034362792969 Dispensary-(Downtown)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -765.022583007812,1323.17553710938,-751.108154296875,1325.3720703125,-753.887634277344,1349.33386230469,-767.131042480469,1347.26550292969 Taco-Place-(Downtown)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -565.556640625,698.220336914062,-565.561706542969,702.067687988281,-558.380737304687,702.077941894531,-558.291259765625,697.525451660156 Skumole-Shack-(Downtown)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -1112.03149414062,-510.155029296875,-1101.67175292969,-509.683227539063,-1111.32177734375,-525.963256835937,-1100.93188476562,-525.484741210937 Fudge-Packing-Corp-(Little-Havana)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -1165.05859375,-676.238952636719,-1170.46923828125,-638.033081054687,-1131.69787597656,-633.928405761719,-1132.58422851562,-674.726501464844 Robina's-Cafe-Rooftop-1-(Little-Havana)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -1109.65832519531,-625.541931152344,-1133.11328125,-628.274353027344,-1135.19006347656,-604.445373535156,-1113.34313964844,-601.544128417969 Robina's-Cafe-Rooftop-2-(Little-Havana)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -1093.07922363281,-601.250427246094,-1093.4521484375,-598.702880859375,-1110.93298339844,-601.8173828125,-1111.87390136719,-603.841613769531 Robina's-Cafe-Billboard-(Little-Havana)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -620.262268066406,816.132263183594,-607.601623535156,816.457397460937,-602.610534667969,808.90673828125,-602.567016601562,800.451782226563,-607.545227050781,791.989562988281,-619.978637695313,792.035339355469,-626.237487792969,800.283569335938,-626.259155273437,808.812194824219 VCPD-Helipad-(Downtown)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA 460.671997070313,649.853149414062,462.733428955078,572.90869140625,393.233642578125,571.643920898438,388.006774902344,654.51953125 El-Swanko-Casa-(Vice-Point)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA 432.562622070313,753.065612792969,535.660278320313,749.905212402344,528.259216308594,667.543151855469,429.998291015625,673.501037597656 Shady-Palms-Hospital-(Vice-Point)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA 438.248382568359,829.538269042969,440.670745849609,829.459899902344,442.396911621094,821.8525390625,445.221130371094,799.698059082031,471.358795166016,799.220825195313,471.356292724609,781.478210449219,445.874847412109,780.962158203125,443.415771484375,765.737670898438,436.323211669922,766.276245117187 Supermarket-(Vice-Point)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA 371.307006835937,1049.24401855469,372.733612060547,1069.64123535156,360.614318847656,1066.77734375,361.12109375,1049.99157714844 Ammunation-(North-Point-Mall)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA 371.027679443359,1070.53649902344,360.710479736328,1073.87939453125,361.616912841797,1087.93298339844,370.297332763672,1089.552734375 Tooled-Up-(North-Point-Mall)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA 471.481048583984,1216.82592773438,475.751251220703,1212.66870117188,460.915344238281,1196.2578125,457.227294921875,1193.38403320312,457.251312255859,1203.08813476562,471.481964111328,1216.94641113281 Jewelery-Store-(North-Point-Mall)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA 458.183746337891,1003.52697753906,471.633361816406,1022.85363769531,478.909118652344,1016.48193359375,478.77978515625,1013.03192138672,462.513824462891,996.990295410156 Tarbrush-Cafe-(North-Point-Mall)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA 370.511657714844,1101.6376953125,362.555572509766,1098.93176269531,349.995422363281,1111.65161132812,349.712432861328,1124.30236816406,356.990753173828,1125.30822753906,357.124755859375,1115.41271972656 Tarbrush-Cafe-(North-Point-Mall)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA 332.645233154297,975.457397460937,287.783050537109,1114.85485839844,238.038970947266,1233.09289550781,231.212844848633,1250.49328613281,263.788543701172,1263.91186523438,363.736724853516,1267.65283203125,506.447357177734,1264.85754394531,500.788238525391,993.961608886719,485.240386962891,978.978393554687 North-Point-Mall-(Vice-Point)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -925.099243164062,-1270.4755859375,-908.006896972656,-1225.10510253906,-867.412414550781,-1247.1279296875,-883.237609863281,-1287.4423828125 Pay-N-Spray-(Vice-Port)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -213.73,1243.47,163.656,1243.47,163.656,797.605,-213.73,797.605 Prawn-Island
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -1396.76,230.39,-1208.21,230.39,-1208.21,-42.9113,-1396.76,-42.9113 Junk-Yard
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -213.73,797.605,163.656,797.605,163.656,-241.429,-213.73,-241.429 Leaf-Links
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -748.206,-241.467,-104.505,-241.467,-104.505,-818.266,-748.206,-818.266 Starfish-Island
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -1613.03,1677.32,-213.73,1677.32,-213.73,413.128,-1613.03,413.128 Downtown
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA 163.656,1398.85,1246.03,1398.85,1246.03,-351.153,163.656,-351.153 Vice-Point
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -103.97,-351.153,1246.03,-351.153,1246.03,-930.526,-103.97,-930.526 Washington-Beach
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -253.206,-930.526,1254.9,-930.526,1254.9,-1805.37,-253.206,-1805.37 Ocean-Beach
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -1208.21,-898.738,-253.206,-898.738,-253.206,-1779.61,-1208.21,-1779.61 Viceport
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -1208.21,-241.467,-748.206,-241.467,-748.206,-898.738,-1208.21,-898.738 Little-Havana
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -1208.21,412.66,-578.289,412.66,-578.289,-241.467,-1208.21,-241.467 Little-Haiti
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA -1888.21,230.39,-1208.21,230.39,-1208.21,-1779.61,-1888.21,-1779.61 Escobar-International
    ;AREA1-GTA3
    ;!writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 <co-ords> <name>
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 1944.208,-1076.01,1016.14,-1076.01,1016.14,-1149.81,944.208,-1149.81 Fish-Factory
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 -1238.59,504.646,-910.445,504.646,-910.445,306.841,-1238.59,306.841 Lower-Cochrane-Dam-(Shoreside-Vale)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 1136.09,-521.167,1182.09,-521.167,1182.09,-609.976,1136.09,-609.976 Hospital-(Portland)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 1135.8,-631.021,1182.36,-631.021,1182.36,-695.021,1135.8,-695.021 Police-Station-(Portland)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 -1632.97,-268.443,-468.629,-268.443,-468.629,-1344.71,-1632.97,-1344.71 Francis-Airport-(Shoreside-Vale)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 -1407.57,92.7559,-812.306,92.7559,-812.306,-267.966,-1407.57,-267.966 Pike-Creek-(Shoreside-Vale)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 -1394.5,704.544,-867.52,704.544,-867.52,93.4441,-1394.5,93.4441 Cochrane-Dam-(Shoreside-Vale)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 -867.229,650.058,-266.914,650.058,-266.914,93.3882,-867.229,93.3882 Cedar-Grove-(Shoreside-Vale)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 -811.835,92.7263,-371.041,92.7263,-371.041,-268.074,-811.835,-268.074 Wichita-Gardens-(Shoreside-Vale)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 444.768,-908.298,614.878,-908.298,614.878,-958.298,444.768,-958.298 Callahan-Bridge-(Staunton)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 199.766,-1059.93,577.766,-1059.93,577.766,-1672.42,199.766,-1672.42 Torrington-(Staunton)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 -224.438,-1004.45,199.562,-1004.45,199.562,-1672.05,-224.438,-1672.05 Bedford-Point-(Staunton)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 200.107,-412.193,615.107,-412.193,615.107,-1059.19,200.107,-1059.19 Newport-(Staunton)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 -121.567,-413.068,199.271,-413.068,199.271,-1003.07,-121.567,-1003.07 Belleville-Park-(Staunton)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 239.878,-61.6167,614.322,-61.6167,614.322,-411.617,239.878,-411.617 Fort-Staunton-(Staunton)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 117.268,-61.6218,239.268,-61.6218,239.268,-411.622,117.268,-411.622 Liberty-Campus-(Staunton)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 117.236,268.889,615.236,268.889,615.236,-61.1105,117.236,-61.1105 Rockford-(Staunton)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 -225.764,160.496,116.236,160.496,116.236,-412.604,-225.764,-412.604 Aspatria-(Staunton)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 617.442,-908.347,1065.44,-908.347,1065.44,-958.347,617.442,-958.347 Callahan-Bridge-(Portland)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 751.68,-958.725,1065.68,-958.725,1065.68,-1178.22,751.68,-1178.22 Callahan-Point-(Portland)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 1065.88,-1069.93,1501.88,-1069.93,1501.88,-1251.55,1065.88,-1251.55 Atlantic-Quays-(Portland)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 1363.68,-613.646,1815.68,-613.646,1815.68,-1069.65,1363.68,-1069.65 Portland-Harbour-(Portland)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 1065.88,-742.054,1363.38,-742.054,1363.38,-1069.85,1065.88,-1069.85 Trenton-(Portland)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 745.421,-463.69,1065.42,-463.69,1065.42,-908.289,745.421,-908.289 Chinatown-(Portland)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 745.378,-282.616,1065.38,-282.616,1065.38,-463.616,745.378,-463.616 Red-Light-District-(Portland)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 745.421,-78.7699,1065.42,-78.7699,1065.42,-282.4,745.421,-282.4 Hepburn-Hights-(Portland)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 1065.9,-78.324,1388.9,-78.324,1388.9,-512.324,1065.9,-512.324 Saint-Mark's-(Portland)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 745.979,322.676,1388.98,322.676,1388.98,-78.1778,745.979,-78.1778 Harwood-(Portland)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 1389.37,199.628,1797.6,199.628,1797.6,-613.467,1389.37,-613.467 Portland-Beach-(Portland)
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" AREA1 1066.1,-512.806,1363.6,-512.806,1363.6,-741.806,1066.1,-741.806 Portland-View-(Portland)
    ;DISTRICT-VC
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" DISTRICT <co-ords> <name>
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" DISTRICT -213.73,1243.47,163.656,1243.47,163.656,797.605,-213.73,797.605 Prawn-Island
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" DISTRICT -1396.76,230.39,-1208.21,230.39,-1208.21,-42.9113,-1396.76,-42.9113 Junk-Yard
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" DISTRICT -213.73,797.605,163.656,797.605,163.656,-241.429,-213.73,-241.429 Leaf-Links
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" DISTRICT -748.206,-241.467,-104.505,-241.467,-104.505,-818.266,-748.206,-818.266 Starfish-Island
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" DISTRICT -1613.03,1677.32,-213.73,1677.32,-213.73,413.128,-1613.03,413.128 Downtown
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" DISTRICT 163.656,1398.85,1246.03,1398.85,1246.03,-351.153,163.656,-351.153 Vice-Point
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" DISTRICT -103.97,-351.153,1246.03,-351.153,1246.03,-930.526,-103.97,-930.526 Washington-Beach
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" DISTRICT -253.206,-930.526,1254.9,-930.526,1254.9,-1805.37,-253.206,-1805.37 Ocean-Beach
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" DISTRICT -1208.21,-898.738,-253.206,-898.738,-253.206,-1779.61,-1208.21,-1779.61 Viceport
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" DISTRICT -1208.21,-241.467,-748.206,-241.467,-748.206,-898.738,-1208.21,-898.738 Little-Havana
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" DISTRICT -1208.21,412.66,-578.289,412.66,-578.289,-241.467,-1208.21,-241.467 Little-Haiti
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" DISTRICT -1888.21,230.39,-1208.21,230.39,-1208.21,-1779.61,-1888.21,-1779.61 Escobar-International  
    ;DISTRICT1-GTA3
    ;!writeini -n " $+ $rpg.dir $+ rpg.data.ini" DISTRICT1 <co-ords> <name>
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" DISTRICT1 617.151,434.115,1902.66,434.115,1902.66,-1329.72,617.151,-1329.72 Portland
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" DISTRICT1 -265.479,367.265,615.52,367.265,615.52,-1719.97,-265.479,-1719.97 Staunton
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" DISTRICT1 -1644.64,1206.35,-266.895,1206.35,-266.895,-1351.38,-1644.64,-1351.38 Shoreside-Vale
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" DISTRICT1 265.444,367.043,-121.287,367.043,-121.287,161.113,-265.444,161.113 Shoreside-Vale
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" DISTRICT1 -265.434,161.064,-226.334,161.064,-226.334,79.0922,-265.434,79.0922 Shoreside-Vale
    ;DATA
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" DATA districts Downtown,Prawn-Island,Leaf-Links,Starfish-Island,Vice-Point,Washington-Beach,Ocean-Beach,Viceport,Little-Havana,Little-Haiti,Escobar-International,Junk-Yard,Portland,Staunton,Shoreside-Vale
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" DATA cities Vice-City,Liberty-City
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" DATA places Bank,Ammunation,Sunshine-Autos,Garage-(Ocean-Beach),Fish-Factory
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" DATA first 1
    ;price
    ;!writeini -n " $+ $rpg.dir $+ rpg.data.ini" price <name> <price>
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Salvage-&-Towing-Hangar-(Phils-Place) 200000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Caravan-(Phils-Place) 130000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Ryton-Aide-(Little-Havana) 230000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Screw-This-(Little-Haiti) 45000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Robina's-Cafe-Cubano 60000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Laundromat-(Little-Havanna) 50000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Callegi-Restaurant-(Little-Havanna) 56000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Hooker-Inn-Express-(Viceport) 145000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Boat-Yard-(Viceport) 180000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Southern-Ship-(Viceport) 210000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Basketball-Courts-(Little-Havana) 39000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Streetwear/Tattoo-Parlour-(Little-Havana) 25000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Housing-Estate-(Little-Haiti) 89100
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price The-Greasy-Chopper-Bar-(Downtown) 42000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Pizza-Place-(Little-Haiti) 60000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Fire-Department-(Downtown) 100000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Hyman-Condo-(Downtown) 150000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Pizza-Place-(Downtown) 80000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Rock-City-(Downtown) 20000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Moist-Palms-Hotel-(Downtown) 240000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Main-Offices-(Downtown) 400000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Auntie-Poulet's-House-(Little-Haiti) 30000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Dispensary-(Downtown) 40000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Taco-Place-(Downtown) 65000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Skumole-Shack-(Downtown) 15000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Fudge-Packing-Corp-(Little-Havana) 55000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Robina's-Cafe-Rooftop-1-(Little-Havana) 40000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Robina's-Cafe-Rooftop-2-(Little-Havana) 35000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Robina's-Cafe-Billboard-(Little-Havana) 20000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price VCPD-Helipad-(Downtown) 20000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price El-Swanko-Casa-(Vice-Point) 300000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Shady-Palms-Hospital-(Vice-Point) 150000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Supermarket-(Vice-Point) 80000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Ammunation-(North-Point-Mall) 34000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Tooled-Up-(North-Point-Mall) 32000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Jewelery-Store-(North-Point-Mall) 35000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Tarbrush-Cafe-(North-Point-Mall) 45000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price North-Point-Mall-(Vice-Point) 800000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Downtown 10000000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Prawn-Island 5000000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Leaf-Links 6000000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Starfish-Island 12000000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Vice-Point 8000000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Washington-Beach 6000000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Ocean-Beach 6000000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Viceport 7000000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Little-Havana 9000000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Little-Haiti 9000000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Escobar-International 7000000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Junk-Yard 4000000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Vercetti-Estate 500000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Print-Works 250000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Film-Studio 350000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Military-Base 280000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Construction-Yard 240000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Cherry-Poppers 150000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Kaufman-Cabs 120000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Malibu-Club 210000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Pole-Position 790000
    !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price Pay-N-Spray-(Vice-Port) 56000
  }
}

alias rpg.menu {
  if ($dialog(rpg.menu)) !dialog -v rpg.menu
  else !dialog -md rpg.menu rpg.menu
}
on *:DIALOG:rpg.menu:init:*:rpg.menu.update
alias rpg.menu.update {
  !did -h rpg.menu 49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,70
  !did -r rpg.menu 69
  !did -a rpg.menu 69 -------GTA:VC-------
  var %a = 1
  while (%a <= $ini(rpg.data.ini,AREA,0)) {
    !did -a rpg.menu 69 $readini($rpg.dir $+ rpg.data.ini,AREA,$ini(rpg.data.ini,AREA,%a))
    !inc %a
  }
  %a = 1
  while (%a <= $ini(rpg.data2.ini,AREA,0)) {
    !did -a rpg.menu 69 $readini($rpg.dir $+ rpg.data2.ini,AREA,$ini(rpg.data2.ini,AREA,%a))
    !inc %a
  }
  !did -a rpg.menu 69 -------GTA3-------
  %a = 1
  while (%a <= $ini(rpg.data.ini,AREA1,0)) {
    !did -a rpg.menu 69 $readini($rpg.dir $+ rpg.data.ini,AREA1,$ini(rpg.data.ini,AREA1,%a))
    !inc %a
  }
  %a = 1
  while (%a <= $ini(rpg.data2.ini,AREA1,0)) {
    !did -a rpg.menu 69 $readini($rpg.dir $+ rpg.data2.ini,AREA1,$ini(rpg.data2.ini,AREA1,%a))
    !inc %a
  }
  if ($readini($rpg.dir $+ rpg.data.ini,data,admin)) !did -a rpg.menu 80 $readini($rpg.dir $+ rpg.data.ini,data,admin)
  else !did -ra rpg.menu 80 un-set
}
on *:DIALOG:rpg.menu:sclick:*:{
  if ($did == 21) !run http://www.mtavc.com
  elseif ($did == 22) !run http://www.uvaclan.com
  elseif ($did == 23) !run http://www.mta-fmj.com
  elseif ($did == 48) {
    if ($did(rpg.menu,48) == More..) {
      !did -h rpg.menu 24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47
      !did -ra rpg.menu 48 ..Back
      !did -v rpg.menu 49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,70
    }
    else {
      !did -v rpg.menu 24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47
      !did -ra rpg.menu 48 More..
      !did -h rpg.menu 49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,70
    }
  }
  elseif ($did == 69) {
    if ($did(rpg.menu,69).seltext != -------GTA:VC------- && $did(rpg.menu,69).seltext != -------GTA3-------) {
      if ($findtok($readini($rpg.dir $+ rpg.data.ini,data,places),$did(rpg.menu,69).seltext,1,44) != $null) {
        !did -bra rpg.menu 75 $did(rpg.menu,69).seltext
        !did -ra rpg.menu 77 N/A
        !did -ra rpg.menu 79 N/A
      }
      else {
        !did -ra rpg.menu 75 $did(rpg.menu,69).seltext
        if ($readini($rpg.dir $+ rpg.data.ini,owner,$did(rpg.menu,69).seltext) != $null) !did -ra rpg.menu 77 $readini($rpg.dir $+ rpg.data.ini,owner,$did(rpg.menu,69).seltext)
        else !did -ra rpg.menu 77 No-one
        if ($readini($rpg.dir $+ rpg.data.ini,forsale,$did(rpg.menu,69).seltext)) !did -ra rpg.menu 79 $readini($rpg.dir $+ rpg.data.ini,forsale,$did(rpg.menu,69).seltext)
        else !did -ra rpg.menu 79 $readini($rpg.dir $+ rpg.data.ini,price,$did(rpg.menu,69).seltext)
        !did -v rpg.menu 70
      }
    }
  }
  elseif ($did == 70) {
    if ($did(rpg.menu,75) && $did(rpg.menu,69).seltext) {
      var %a = 1,%b,%c,%d
      !writeini -n " $+ $rpg.dir $+ rpg.data.ini" owner $did(rpg.menu,75) $did(rpg.menu,77)
      !writeini -n " $+ $rpg.dir $+ rpg.data.ini" price $did(rpg.menu,75) $did(rpg.menu,79)
      !did -r rpg.menu 75,77,79
      !did -h rpg.menu 70
      rpg.menu.update
    }     
  }
  elseif ($did == 73) rpg.menu.update
  elseif ($did == 81) !writeini -n " $+ $rpg.dir $+ rpg.data.ini" data admin $did(rpg.menu,80)  
}
dialog rpg.menu {
  title "Clan-RPG by Jax n Oli"
  size -1 -1 196 108
  option dbu
  icon $mta.dir $+ mta.ico, 0
  tab "Info", 1, 0 -2 197 112
  text "New Features:", 6, 10 12 36 8, tab 1
  text "Cash/Bank System", 8, 3 21 48 7, tab 1
  text "Clan/Player Registration", 9, 3 28 60 7, tab 1
  text "Item/Vehicle/Property Purchasing/Selling", 10, 3 35 99 7, tab 1
  text "Robbing Capability", 11, 3 70 47 7, tab 1
  text "GTA3/VC Support", 12, 3 77 99 7, tab 1
  text "Various Bug/Error Fixes - Speed Improved", 13, 3 91 102 7, tab 1
  text "King of the House Mode", 14, 3 84 99 7, tab 1
  text "Cash/Item Stashing", 15, 3 56 99 7, tab 1
  text "Bounty Hunting", 16, 3 63 99 7, tab 1
  text "District/City Purchasing/Selling", 17, 3 42 99 7, tab 1
  text "Petrol Buying/Using/Effects", 18, 3 49 99 7, tab 1
  text "Info:", 7, 135 13 29 8, tab 1
  text "Clan-RPG script by Jax n Oli Please understand that this script has not been fully tested and any errors/bugs you may find and bring to our attention will be fixed asap. - see Updater", 19, 112 30 84 41, tab 1
  text "Links:", 20, 135 73 29 8, tab 1
  link "www.mtavc.com", 21, 124 82 44 7, tab 1
  link "www.uvaclan.com", 22, 124 89 46 7, tab 1
  link "www.mta-fmj.com", 23, 124 96 46 7, tab 1
  tab "Commands", 2
  text "!-Commands:", 24, 3 12 33 7, tab 2
  text "!info - Script info", 25, 3 20 83 7, tab 2
  text "!switchname - Swaps profile name", 26, 3 27 83 7, tab 2
  text "!clans - Registered clans in server", 27, 3 34 83 7, tab 2
  text "!items - Current in-hand items", 28, 3 48 83 7, tab 2
  text "!rstat - Profile stats", 29, 3 41 83 7, tab 2
  text "!bounty - Current bounty", 30, 3 55 83 7, tab 2
  text "!cash - Current cash", 31, 3 62 83 7, tab 2
  text "!bank - Player/Clan bank ammount", 33, 3 69 83 7, tab 2
  text "!clanname - Sets a new clan name", 34, 3 83 83 7, tab 2
  text "!clan - Players registered clan", 35, 3 76 83 7, tab 2
  text "!bank- - Banks cash", 36, 3 97 83 7, tab 2
  text "!give - Gives cash to a player", 37, 112 20 83 7, tab 2
  text "!stash - Stashes cash/items", 38, 112 27 83 7, tab 2
  text "!stashed - Stashed cash/items ", 39, 112 34 83 7, tab 2
  text "!buy - Purchase items", 40, 112 41 83 7, tab 2
  text "!sell - Sells a vehicle at sunshine..", 41, 112 48 83 7, tab 2
  text "!rob - Robs cash/items", 42, 112 55 83 7, tab 2
  text "!take - Takes stashed cash/items", 43, 112 62 83 7, tab 2
  text "!drop - Drops the item ur carrying", 44, 112 69 83 7, tab 2
  text "!buycar - Purchases a vehicle", 45, 112 76 83 7, tab 2
  text "!sellcar - Sells a vehicle", 46, 112 83 83 7, tab 2
  text "!remsellcar - Removes 'for-sale'", 47, 112 90 83 7, tab 2
  button "More..", 48, 113 98 83 9, tab 2
  text "!bank+ - Withdraws from bank", 32, 3 90 83 7, tab 2
  text "!-Commands:", 50, 3 12 33 7, tab 2
  text "!place - Property/District info", 49, 3 20 83 7, tab 2
  text "!buyplace - Purchases a place", 51, 3 27 83 7, tab 2
  text "!sellplace - Puts place up for sale", 52, 3 34 83 7, tab 2
  text "!remsell - Removes 'for-sale'", 53, 3 41 83 7, tab 2
  text "!offer - Puts an offer on a place", 54, 3 48 83 7, tab 2
  text "!remoffer - Removes your offer", 55, 3 55 83 7, tab 2
  text "!accept - Accepts the top offer", 56, 3 62 83 7, tab 2
  text "!offers - Top offer on your place", 57, 3 69 83 7, tab 2
  text "!fine - Fines trespassers", 58, 3 76 83 7, tab 2
  text "!join - Registers you to a clan", 59, 3 83 83 7, tab 2
  text "!leave - Removes clan registration", 60, 3 90 83 7, tab 2
  text "!wanted - 2 Top wanted people", 61, 3 97 83 7, tab 2
  text "!register - Registers your clan", 62, 111 20 83 7, tab 2
  text "!rig - Rigs a vehicle/property", 63, 111 27 83 7, tab 2
  text "!rpghelp - Help/commands", 64, 111 34 83 7, tab 2
  text "/msg-Commands:", 65, 111 45 83 7, tab 2
  text "pin - Enters pincode", 66, 111 54 83 7, tab 2
  text "regpin - Registers pincode", 67, 111 61 83 7, tab 2
  text "rpghelp - Help/commands", 68, 111 68 83 7, tab 2
  tab "Property", 3
  list 69, 1 50 194 58, tab 3 size
  button "Change", 70, 4 40 42 10, tab 3
  button "Refresh", 73, 151 40 42 10, tab 3
  text "Property:", 74, 2 15 26 7, tab 3
  edit "", 75, 31 14 153 9, tab 3
  text "Owner:", 76, 2 23 26 7, tab 3
  edit "", 77, 31 22 153 9, tab 3
  text "Price:", 78, 2 31 26 7, tab 3
  edit "", 79, 31 30 153 9, tab 3
  tab "Admin", 4
  edit "", 80, 37 15 57 10, tab 4 autohs
  button "Ok", 81, 97 15 37 10, tab 4
  text "Admin Name:", 82, 4 16 32 8, tab 4
}